/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/graph/BasicDisplayNodeFunction.java#3 $
 *
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.graph;

import com.google.common.base.Function;
import org.apache.commons.lang.ClassUtils;

public class BasicDisplayNodeFunction implements Function<Object, DisplayNode> {

    public static final BasicDisplayNodeFunction INSTANCE = new BasicDisplayNodeFunction();

    @Override
    public DisplayNode apply(Object node) {
        return new DisplayNode(
            ClassUtils.getShortClassName(node.getClass()),
            node.toString(),
            ""
        );
    }

}
