/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/windows/WbemObject.java#2 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.windows;

/**
 * Base interface for WMI proxy objects. Subinterfaces with methods
 * annotated with {@link WMIElement} and {@link WMIMethod} may be returned
 * from the various query methods on {@link WMIConnection}.
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface WbemObject {
    @WMIElement("__CLASS")
    String getWMIClass();

    @WMIElement("__PATH")
    String getPath();

    @WMIElement("__RELPATH")
    String getRelpath();
}
