/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/windows/cimv2/Win32DiskDrive.java#2 $
 *
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.windows.cimv2;

import com.netapp.common.platform.windows.WMIElement;
import com.netapp.common.platform.windows.WbemObject;

/**
 * Example WMI Proxy object representing the Win32_DiskDrive
 * class.
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface Win32DiskDrive extends WbemObject {
    @WMIElement("Caption")
    String getCaption();

    @WMIElement("DeviceID")
    String getDeviceID();

    @WMIElement("InterfaceType")
    String getInterfaceType();

    @WMIElement("SerialNumber")
    String getSerialNumber();

    @WMIElement("SCSIBus")
    Integer getSCSIBus();

    @WMIElement("SCSILogicalUnit")
    Integer getSCSILogicalUnit();

    @WMIElement("SCSIPort")
    Integer getSCSIPort();

    @WMIElement("SCSITargetId")
    Integer getSCSITargetId();
}
