package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("fcp-service-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EALREADYSTARTED", "EINTERNALERROR", "EREVERTINPROGRESS", "VDISK_ERROR_CFMODE_MISMATCH", "VDISK_ERROR_PARTNER_NOT_REACHABLE", "VDISK_ERROR_PARTNER_WWNN_MISMATCH_FOR_SSI"})
@Family({"ontap-c"})
public class FcpServiceStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}