package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("fpolicy-disable")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyDisable
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}