package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("bay-info")
public class BayInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer lun;
  public Integer shelfBay;

  @Element("lun")
  @Type("integer")
  @Optional
  @Range(min="0", max="255")
  public void setLun(Integer paramInteger)
  {
    this.lun = paramInteger;
  }

  public Integer getLun()
  {
    return this.lun;
  }

  public BayInfo withLun(Integer paramInteger)
  {
    this.lun = paramInteger;
    return this;
  }

  @Element("shelf-bay")
  @Type("integer")
  @Range(min="0", max="255")
  public void setShelfBay(Integer paramInteger)
  {
    this.shelfBay = paramInteger;
  }

  public Integer getShelfBay()
  {
    return this.shelfBay;
  }

  public BayInfo withShelfBay(Integer paramInteger)
  {
    this.shelfBay = paramInteger;
    return this;
  }
}