package com.netapp.filer.sf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("sf-bring-home")
@Status(StatusEnum.PUBLIC)
@Errno({"ECANT_USE_ALL_DISKS", "EINTERNALERROR", "EINVALIDRESERVATION", "EMUSTBEINMAINTMODE", "ENODISKSFOUND", "ENOTCLUSTERED"})
@Family({"ontap-d"})
public class SfBringHome
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}