package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CapabilitiesType", propOrder={"supportedHardwareVersions"})
public class CapabilitiesType extends VCloudExtensibleType
{

  @XmlElement(name="SupportedHardwareVersions")
  protected SupportedHardwareVersionsType supportedHardwareVersions;

  public SupportedHardwareVersionsType getSupportedHardwareVersions()
  {
    return this.supportedHardwareVersions;
  }

  public void setSupportedHardwareVersions(SupportedHardwareVersionsType value)
  {
    this.supportedHardwareVersions = value;
  }
}