package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayInterfacesType", propOrder={"gatewayInterface"})
public class GatewayInterfacesType extends VCloudExtensibleType
{

  @XmlElement(name="GatewayInterface")
  protected List<GatewayInterfaceType> gatewayInterface;

  public List<GatewayInterfaceType> getGatewayInterface()
  {
    if (this.gatewayInterface == null) {
      this.gatewayInterface = new ArrayList();
    }
    return this.gatewayInterface;
  }
}