package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayIpsecVpnServiceType", propOrder={"endpoint", "tunnel"})
public class GatewayIpsecVpnServiceType extends NetworkServiceType
{

  @XmlElement(name="Endpoint")
  protected List<GatewayIpsecVpnEndpointType> endpoint;

  @XmlElement(name="Tunnel")
  protected List<GatewayIpsecVpnTunnelType> tunnel;

  public List<GatewayIpsecVpnEndpointType> getEndpoint()
  {
    if (this.endpoint == null) {
      this.endpoint = new ArrayList();
    }
    return this.endpoint;
  }

  public List<GatewayIpsecVpnTunnelType> getTunnel()
  {
    if (this.tunnel == null) {
      this.tunnel = new ArrayList();
    }
    return this.tunnel;
  }
}