package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkFeaturesType", propOrder={"networkService"})
public class NetworkFeaturesType
{

  @XmlElementRef(name="NetworkService", namespace="http://www.vmware.com/vcloud/v1.5", type=JAXBElement.class)
  protected List<JAXBElement<? extends NetworkServiceType>> networkService;

  public List<JAXBElement<? extends NetworkServiceType>> getNetworkService()
  {
    if (this.networkService == null) {
      this.networkService = new ArrayList();
    }
    return this.networkService;
  }
}