package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgLdapSettingsType", propOrder={"orgLdapMode", "customUsersOu", "customOrgLdapSettings"})
public class OrgLdapSettingsType extends ResourceType
{

  @XmlElement(name="OrgLdapMode")
  protected String orgLdapMode;

  @XmlElement(name="CustomUsersOu")
  protected String customUsersOu;

  @XmlElement(name="CustomOrgLdapSettings")
  protected CustomOrgLdapSettingsType customOrgLdapSettings;

  public String getOrgLdapMode()
  {
    return this.orgLdapMode;
  }

  public void setOrgLdapMode(String value)
  {
    this.orgLdapMode = value;
  }

  public String getCustomUsersOu()
  {
    return this.customUsersOu;
  }

  public void setCustomUsersOu(String value)
  {
    this.customUsersOu = value;
  }

  public CustomOrgLdapSettingsType getCustomOrgLdapSettings()
  {
    return this.customOrgLdapSettings;
  }

  public void setCustomOrgLdapSettings(CustomOrgLdapSettingsType value)
  {
    this.customOrgLdapSettings = value;
  }
}