package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgVdcNetworkType", propOrder={"edgeGateway", "serviceConfig", "isShared"})
public class OrgVdcNetworkType extends NetworkType
{

  @XmlElement(name="EdgeGateway")
  protected ReferenceType edgeGateway;

  @XmlElement(name="ServiceConfig")
  protected GatewayFeaturesType serviceConfig;

  @XmlElement(name="IsShared")
  protected Boolean isShared;

  @XmlAttribute
  protected Integer status;

  public ReferenceType getEdgeGateway()
  {
    return this.edgeGateway;
  }

  public void setEdgeGateway(ReferenceType value)
  {
    this.edgeGateway = value;
  }

  public GatewayFeaturesType getServiceConfig()
  {
    return this.serviceConfig;
  }

  public void setServiceConfig(GatewayFeaturesType value)
  {
    this.serviceConfig = value;
  }

  public Boolean isIsShared()
  {
    return this.isShared;
  }

  public void setIsShared(Boolean value)
  {
    this.isShared = value;
  }

  public Integer getStatus()
  {
    return this.status;
  }

  public void setStatus(Integer value)
  {
    this.status = value;
  }
}