package com.vmware.vcloud.api.rest.schema;

import com.vmware.vcloud.api.rest.schema.ovf.ProductSectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ProductSectionListType", propOrder={"productSection"})
public class ProductSectionListType extends ResourceType
{

  @XmlElement(name="ProductSection", namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected List<ProductSectionType> productSection;

  public List<ProductSectionType> getProductSection()
  {
    if (this.productSection == null) {
      this.productSection = new ArrayList();
    }
    return this.productSection;
  }
}