package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="", propOrder={"tcp", "udp", "icmp", "any", "other"})
public class Protocols
{

  @XmlElement(name="Tcp")
  protected Boolean tcp;

  @XmlElement(name="Udp")
  protected Boolean udp;

  @XmlElement(name="Icmp")
  protected Boolean icmp;

  @XmlElement(name="Any")
  protected Boolean any;

  @XmlElement(name="Other")
  protected String other;

  public Boolean isTcp()
  {
    return this.tcp;
  }

  public void setTcp(Boolean value)
  {
    this.tcp = value;
  }

  public Boolean isUdp()
  {
    return this.udp;
  }

  public void setUdp(Boolean value)
  {
    this.udp = value;
  }

  public Boolean isIcmp()
  {
    return this.icmp;
  }

  public void setIcmp(Boolean value)
  {
    this.icmp = value;
  }

  public Boolean isAny()
  {
    return this.any;
  }

  public void setAny(Boolean value)
  {
    this.any = value;
  }

  public String getOther()
  {
    return this.other;
  }

  public void setOther(String value)
  {
    this.other = value;
  }
}