package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminVAppRecordType")
public class QueryResultAdminVAppRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Integer cpuAllocationMhz;

  @XmlAttribute
  protected XMLGregorianCalendar creationDate;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isDeployed;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected Boolean isExpired;

  @XmlAttribute
  protected Boolean isInMaintenanceMode;

  @XmlAttribute
  protected Boolean isVdcEnabled;

  @XmlAttribute
  protected Integer memoryAllocationMB;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfVMs;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String ownerName;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected Long storageKB;

  @XmlAttribute
  protected String vdc;

  @XmlAttribute
  protected String vdcName;

  public Integer getCpuAllocationMhz()
  {
    return this.cpuAllocationMhz;
  }

  public void setCpuAllocationMhz(Integer value)
  {
    this.cpuAllocationMhz = value;
  }

  public XMLGregorianCalendar getCreationDate()
  {
    return this.creationDate;
  }

  public void setCreationDate(XMLGregorianCalendar value)
  {
    this.creationDate = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsDeployed()
  {
    return this.isDeployed;
  }

  public void setIsDeployed(Boolean value)
  {
    this.isDeployed = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsExpired()
  {
    return this.isExpired;
  }

  public void setIsExpired(Boolean value)
  {
    this.isExpired = value;
  }

  public Boolean isIsInMaintenanceMode()
  {
    return this.isInMaintenanceMode;
  }

  public void setIsInMaintenanceMode(Boolean value)
  {
    this.isInMaintenanceMode = value;
  }

  public Boolean isIsVdcEnabled()
  {
    return this.isVdcEnabled;
  }

  public void setIsVdcEnabled(Boolean value)
  {
    this.isVdcEnabled = value;
  }

  public Integer getMemoryAllocationMB()
  {
    return this.memoryAllocationMB;
  }

  public void setMemoryAllocationMB(Integer value)
  {
    this.memoryAllocationMB = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfVMs()
  {
    return this.numberOfVMs;
  }

  public void setNumberOfVMs(Integer value)
  {
    this.numberOfVMs = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getOwnerName()
  {
    return this.ownerName;
  }

  public void setOwnerName(String value)
  {
    this.ownerName = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public Long getStorageKB()
  {
    return this.storageKB;
  }

  public void setStorageKB(Long value)
  {
    this.storageKB = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }

  public String getVdcName()
  {
    return this.vdcName;
  }

  public void setVdcName(String value)
  {
    this.vdcName = value;
  }
}