package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultServiceLinkRecordType")
public class QueryResultServiceLinkRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String linkHref;

  @XmlAttribute
  protected String mimeType;

  @XmlAttribute
  protected String rel;

  @XmlAttribute
  protected String resourceId;

  @XmlAttribute
  protected String resourceType;

  @XmlAttribute
  protected String service;

  public String getLinkHref()
  {
    return this.linkHref;
  }

  public void setLinkHref(String value)
  {
    this.linkHref = value;
  }

  public String getMimeType()
  {
    return this.mimeType;
  }

  public void setMimeType(String value)
  {
    this.mimeType = value;
  }

  public String getRel()
  {
    return this.rel;
  }

  public void setRel(String value)
  {
    this.rel = value;
  }

  public String getResourceId()
  {
    return this.resourceId;
  }

  public void setResourceId(String value)
  {
    this.resourceId = value;
  }

  public String getResourceType()
  {
    return this.resourceType;
  }

  public void setResourceType(String value)
  {
    this.resourceType = value;
  }

  public String getService()
  {
    return this.service;
  }

  public void setService(String value)
  {
    this.service = value;
  }
}