package com.vmware.vcloud.api.rest.schema;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultType")
public class QueryResultType extends ResourceType
{

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected BigInteger page;

  @XmlAttribute
  protected BigInteger pageSize;

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public BigInteger getPage()
  {
    return this.page;
  }

  public void setPage(BigInteger value)
  {
    this.page = value;
  }

  public BigInteger getPageSize()
  {
    return this.pageSize;
  }

  public void setPageSize(BigInteger value)
  {
    this.pageSize = value;
  }
}