package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultVMWProviderVdcRecordType")
public class QueryResultVMWProviderVdcRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Long cpuAllocationMhz;

  @XmlAttribute
  protected Long cpuLimitMhz;

  @XmlAttribute
  protected Long cpuUsedMhz;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isDeleted;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected Long memoryAllocationMB;

  @XmlAttribute
  protected Long memoryLimitMB;

  @XmlAttribute
  protected Long memoryUsedMB;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfDatastores;

  @XmlAttribute
  protected Integer numberOfStorageProfiles;

  @XmlAttribute
  protected Integer numberOfVdcs;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected Long storageAllocationMB;

  @XmlAttribute
  protected Long storageLimitMB;

  @XmlAttribute
  protected Long storageUsedMB;

  @XmlAttribute
  protected Integer vcpuRatingMhz;

  public Long getCpuAllocationMhz()
  {
    return this.cpuAllocationMhz;
  }

  public void setCpuAllocationMhz(Long value)
  {
    this.cpuAllocationMhz = value;
  }

  public Long getCpuLimitMhz()
  {
    return this.cpuLimitMhz;
  }

  public void setCpuLimitMhz(Long value)
  {
    this.cpuLimitMhz = value;
  }

  public Long getCpuUsedMhz()
  {
    return this.cpuUsedMhz;
  }

  public void setCpuUsedMhz(Long value)
  {
    this.cpuUsedMhz = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsDeleted()
  {
    return this.isDeleted;
  }

  public void setIsDeleted(Boolean value)
  {
    this.isDeleted = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Long getMemoryAllocationMB()
  {
    return this.memoryAllocationMB;
  }

  public void setMemoryAllocationMB(Long value)
  {
    this.memoryAllocationMB = value;
  }

  public Long getMemoryLimitMB()
  {
    return this.memoryLimitMB;
  }

  public void setMemoryLimitMB(Long value)
  {
    this.memoryLimitMB = value;
  }

  public Long getMemoryUsedMB()
  {
    return this.memoryUsedMB;
  }

  public void setMemoryUsedMB(Long value)
  {
    this.memoryUsedMB = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfDatastores()
  {
    return this.numberOfDatastores;
  }

  public void setNumberOfDatastores(Integer value)
  {
    this.numberOfDatastores = value;
  }

  public Integer getNumberOfStorageProfiles()
  {
    return this.numberOfStorageProfiles;
  }

  public void setNumberOfStorageProfiles(Integer value)
  {
    this.numberOfStorageProfiles = value;
  }

  public Integer getNumberOfVdcs()
  {
    return this.numberOfVdcs;
  }

  public void setNumberOfVdcs(Integer value)
  {
    this.numberOfVdcs = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public Long getStorageAllocationMB()
  {
    return this.storageAllocationMB;
  }

  public void setStorageAllocationMB(Long value)
  {
    this.storageAllocationMB = value;
  }

  public Long getStorageLimitMB()
  {
    return this.storageLimitMB;
  }

  public void setStorageLimitMB(Long value)
  {
    this.storageLimitMB = value;
  }

  public Long getStorageUsedMB()
  {
    return this.storageUsedMB;
  }

  public void setStorageUsedMB(Long value)
  {
    this.storageUsedMB = value;
  }

  public Integer getVcpuRatingMhz()
  {
    return this.vcpuRatingMhz;
  }

  public void setVcpuRatingMhz(Integer value)
  {
    this.vcpuRatingMhz = value;
  }
}