package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="RecomposeVAppParamsType", propOrder={"createItem", "deleteItem"})
public class RecomposeVAppParamsType extends ComposeVAppParamsType
{

  @XmlElement(name="CreateItem")
  protected List<VmType> createItem;

  @XmlElement(name="DeleteItem")
  protected List<ReferenceType> deleteItem;

  public List<VmType> getCreateItem()
  {
    if (this.createItem == null) {
      this.createItem = new ArrayList();
    }
    return this.createItem;
  }

  public List<ReferenceType> getDeleteItem()
  {
    if (this.deleteItem == null) {
      this.deleteItem = new ArrayList();
    }
    return this.deleteItem;
  }
}