package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="RightReferencesType", propOrder={"rightReference"})
public class RightReferencesType extends VCloudExtensibleType
{

  @XmlElement(name="RightReference")
  protected List<ReferenceType> rightReference;

  public List<ReferenceType> getRightReference()
  {
    if (this.rightReference == null) {
      this.rightReference = new ArrayList();
    }
    return this.rightReference;
  }
}