package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="RoleReferencesType", propOrder={"roleReference"})
public class RoleReferencesType extends VCloudExtensibleType
{

  @XmlElement(name="RoleReference")
  protected List<ReferenceType> roleReference;

  public List<ReferenceType> getRoleReference()
  {
    if (this.roleReference == null) {
      this.roleReference = new ArrayList();
    }
    return this.roleReference;
  }
}