package com.vmware.vcloud.api.rest.schema;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="RuntimeInfoSectionType", propOrder={"vmWareTools", "any"})
public class RuntimeInfoSectionType extends SectionType
{

  @XmlElement(name="VMWareTools")
  protected VMWareTools vmWareTools;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public VMWareTools getVMWareTools()
  {
    return this.vmWareTools;
  }

  public void setVMWareTools(VMWareTools value)
  {
    this.vmWareTools = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}