package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="StaticRouteType", propOrder={"name", "network", "nextHopIp", "_interface", "gatewayInterface"})
public class StaticRouteType extends VCloudExtensibleType
{

  @XmlElement(name="Name", required=true)
  protected String name;

  @XmlElement(name="Network", required=true)
  protected String network;

  @XmlElement(name="NextHopIp", required=true)
  protected String nextHopIp;

  @XmlElement(name="Interface")
  protected String _interface;

  @XmlElement(name="GatewayInterface")
  protected ReferenceType gatewayInterface;

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNetwork()
  {
    return this.network;
  }

  public void setNetwork(String value)
  {
    this.network = value;
  }

  public String getNextHopIp()
  {
    return this.nextHopIp;
  }

  public void setNextHopIp(String value)
  {
    this.nextHopIp = value;
  }

  public String getInterface()
  {
    return this._interface;
  }

  public void setInterface(String value)
  {
    this._interface = value;
  }

  public ReferenceType getGatewayInterface()
  {
    return this.gatewayInterface;
  }

  public void setGatewayInterface(ReferenceType value)
  {
    this.gatewayInterface = value;
  }
}