package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SubnetParticipationType", propOrder={"gateway", "netmask", "ipAddress", "ipRanges"})
public class SubnetParticipationType extends VCloudExtensibleType
{

  @XmlElement(name="Gateway", required=true)
  protected String gateway;

  @XmlElement(name="Netmask", required=true)
  protected String netmask;

  @XmlElement(name="IpAddress")
  protected String ipAddress;

  @XmlElement(name="IpRanges")
  protected IpRangesType ipRanges;

  public String getGateway()
  {
    return this.gateway;
  }

  public void setGateway(String value)
  {
    this.gateway = value;
  }

  public String getNetmask()
  {
    return this.netmask;
  }

  public void setNetmask(String value)
  {
    this.netmask = value;
  }

  public String getIpAddress()
  {
    return this.ipAddress;
  }

  public void setIpAddress(String value)
  {
    this.ipAddress = value;
  }

  public IpRangesType getIpRanges()
  {
    return this.ipRanges;
  }

  public void setIpRanges(IpRangesType value)
  {
    this.ipRanges = value;
  }
}