package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="UpdateVdcStorageProfilesType", propOrder={"addStorageProfile", "removeStorageProfile"})
public class UpdateVdcStorageProfilesType extends ParamsType
{

  @XmlElement(name="AddStorageProfile")
  protected List<VdcStorageProfileParamsType> addStorageProfile;

  @XmlElement(name="RemoveStorageProfile")
  protected List<ReferenceType> removeStorageProfile;

  public List<VdcStorageProfileParamsType> getAddStorageProfile()
  {
    if (this.addStorageProfile == null) {
      this.addStorageProfile = new ArrayList();
    }
    return this.addStorageProfile;
  }

  public List<ReferenceType> getRemoveStorageProfile()
  {
    if (this.removeStorageProfile == null) {
      this.removeStorageProfile = new ArrayList();
    }
    return this.removeStorageProfile;
  }
}