package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VendorServicesType", propOrder={"networkServices", "edgeGatewayServices"})
public class VendorServicesType
{

  @XmlElement(name="NetworkServices")
  protected List<NetworkServiceInsertionType> networkServices;

  @XmlElement(name="EdgeGatewayServices")
  protected List<NetworkServiceInsertionType> edgeGatewayServices;

  public List<NetworkServiceInsertionType> getNetworkServices()
  {
    if (this.networkServices == null) {
      this.networkServices = new ArrayList();
    }
    return this.networkServices;
  }

  public List<NetworkServiceInsertionType> getEdgeGatewayServices()
  {
    if (this.edgeGatewayServices == null) {
      this.edgeGatewayServices = new ArrayList();
    }
    return this.edgeGatewayServices;
  }
}