package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VmSelectionType", propOrder={"vAppScopedVmId", "vmNicId", "ipType"})
public class VmSelectionType extends VCloudExtensibleType
{

  @XmlElement(name="VAppScopedVmId", required=true)
  protected String vAppScopedVmId;

  @XmlElement(name="VmNicId")
  protected int vmNicId;

  @XmlElement(name="IpType", required=true)
  protected String ipType;

  public String getVAppScopedVmId()
  {
    return this.vAppScopedVmId;
  }

  public void setVAppScopedVmId(String value)
  {
    this.vAppScopedVmId = value;
  }

  public int getVmNicId()
  {
    return this.vmNicId;
  }

  public void setVmNicId(int value)
  {
    this.vmNicId = value;
  }

  public String getIpType()
  {
    return this.ipType;
  }

  public void setIpType(String value)
  {
    this.ipType = value;
  }
}