package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VmsType", propOrder={"vmReference"})
public class VmsType extends ResourceType
{

  @XmlElement(name="VmReference")
  protected List<ReferenceType> vmReference;

  public List<ReferenceType> getVmReference()
  {
    if (this.vmReference == null) {
      this.vmReference = new ArrayList();
    }
    return this.vmReference;
  }
}