package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AclAccessType", propOrder={"access", "entity"})
public class AclAccessType extends VCloudExtensibleType
{

  @XmlElement(name="Access")
  protected String access;

  @XmlElement(name="Entity")
  protected ReferenceType entity;

  public String getAccess()
  {
    return this.access;
  }

  public void setAccess(String value)
  {
    this.access = value;
  }

  public ReferenceType getEntity()
  {
    return this.entity;
  }

  public void setEntity(ReferenceType value)
  {
    this.entity = value;
  }
}