package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AmqpSettingsType", propOrder={"amqpHost", "amqpPort", "amqpUsername", "amqpPassword", "amqpExchange", "amqpVHost", "amqpUseSSL", "amqpPrefix"})
public class AmqpSettingsType extends ResourceType
{

  @XmlElement(name="AmqpHost", required=true)
  protected String amqpHost;

  @XmlElement(name="AmqpPort")
  protected int amqpPort;

  @XmlElement(name="AmqpUsername", required=true)
  protected String amqpUsername;

  @XmlElement(name="AmqpPassword")
  protected String amqpPassword;

  @XmlElement(name="AmqpExchange", required=true)
  protected String amqpExchange;

  @XmlElement(name="AmqpVHost", required=true)
  protected String amqpVHost;

  @XmlElement(name="AmqpUseSSL")
  protected boolean amqpUseSSL;

  @XmlElement(name="AmqpPrefix")
  protected String amqpPrefix;

  public String getAmqpHost()
  {
    return this.amqpHost;
  }

  public void setAmqpHost(String value)
  {
    this.amqpHost = value;
  }

  public int getAmqpPort()
  {
    return this.amqpPort;
  }

  public void setAmqpPort(int value)
  {
    this.amqpPort = value;
  }

  public String getAmqpUsername()
  {
    return this.amqpUsername;
  }

  public void setAmqpUsername(String value)
  {
    this.amqpUsername = value;
  }

  public String getAmqpPassword()
  {
    return this.amqpPassword;
  }

  public void setAmqpPassword(String value)
  {
    this.amqpPassword = value;
  }

  public String getAmqpExchange()
  {
    return this.amqpExchange;
  }

  public void setAmqpExchange(String value)
  {
    this.amqpExchange = value;
  }

  public String getAmqpVHost()
  {
    return this.amqpVHost;
  }

  public void setAmqpVHost(String value)
  {
    this.amqpVHost = value;
  }

  public boolean isAmqpUseSSL()
  {
    return this.amqpUseSSL;
  }

  public void setAmqpUseSSL(boolean value)
  {
    this.amqpUseSSL = value;
  }

  public String getAmqpPrefix()
  {
    return this.amqpPrefix;
  }

  public void setAmqpPrefix(String value)
  {
    this.amqpPrefix = value;
  }
}