package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.IdentifiableResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ApiFilterType", propOrder={"urlPattern", "responseContentType"})
public class ApiFilterType extends IdentifiableResourceType
{

  @XmlElement(name="UrlPattern")
  protected String urlPattern;

  @XmlElement(name="ResponseContentType")
  protected String responseContentType;

  public String getUrlPattern()
  {
    return this.urlPattern;
  }

  public void setUrlPattern(String value)
  {
    this.urlPattern = value;
  }

  public String getResponseContentType()
  {
    return this.responseContentType;
  }

  public void setResponseContentType(String value)
  {
    this.responseContentType = value;
  }
}