package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.LinkType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LicensingReportListType", propOrder={"report"})
public class LicensingReportListType
{

  @XmlElement(name="Report")
  protected List<LinkType> report;

  public List<LinkType> getReport()
  {
    if (this.report == null) {
      this.report = new ArrayList();
    }
    return this.report;
  }
}