package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NotificationsSettingsType", propOrder={"enableNotifications"})
public class NotificationsSettingsType extends ResourceType
{

  @XmlElement(name="EnableNotifications")
  protected boolean enableNotifications;

  public boolean isEnableNotifications()
  {
    return this.enableNotifications;
  }

  public void setEnableNotifications(boolean value)
  {
    this.enableNotifications = value;
  }
}