package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ResourceClassesType", propOrder={"resourceClass"})
public class ResourceClassesType extends VCloudExtensibleType
{

  @XmlElement(name="ResourceClass")
  protected List<ResourceClassType> resourceClass;

  public List<ResourceClassType> getResourceClass()
  {
    if (this.resourceClass == null) {
      this.resourceClass = new ArrayList();
    }
    return this.resourceClass;
  }
}