package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.EntityType;
import com.vmware.vcloud.api.rest.schema.ReferenceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="StrandedItemType", propOrder={"entityType", "deletionDate", "errorMessage", "parent", "strandedItemVimObjects"})
public class StrandedItemType extends EntityType
{

  @XmlElement(name="EntityType")
  protected String entityType;

  @XmlElement(name="DeletionDate")
  protected XMLGregorianCalendar deletionDate;

  @XmlElement(name="ErrorMessage")
  protected String errorMessage;

  @XmlElement(name="Parent")
  protected ReferenceType parent;

  @XmlElement(name="StrandedItemVimObjects")
  protected StrandedItemVimObjectsType strandedItemVimObjects;

  public String getEntityType()
  {
    return this.entityType;
  }

  public void setEntityType(String value)
  {
    this.entityType = value;
  }

  public XMLGregorianCalendar getDeletionDate()
  {
    return this.deletionDate;
  }

  public void setDeletionDate(XMLGregorianCalendar value)
  {
    this.deletionDate = value;
  }

  public String getErrorMessage()
  {
    return this.errorMessage;
  }

  public void setErrorMessage(String value)
  {
    this.errorMessage = value;
  }

  public ReferenceType getParent()
  {
    return this.parent;
  }

  public void setParent(ReferenceType value)
  {
    this.parent = value;
  }

  public StrandedItemVimObjectsType getStrandedItemVimObjects()
  {
    return this.strandedItemVimObjects;
  }

  public void setStrandedItemVimObjects(StrandedItemVimObjectsType value)
  {
    this.strandedItemVimObjects = value;
  }
}