package com.vmware.vcloud.api.rest.schema.extension;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="UserEntityRightsType", propOrder={"entityRights"})
public class UserEntityRightsType
{

  @XmlElement(name="EntityRights")
  protected List<EntityRightsType> entityRights;

  public List<EntityRightsType> getEntityRights()
  {
    if (this.entityRights == null) {
      this.entityRights = new ArrayList();
    }
    return this.entityRights;
  }
}