package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VMWStorageProfilesType", propOrder={"vmwStorageProfile"})
public class VMWStorageProfilesType extends ResourceType
{

  @XmlElement(name="VMWStorageProfile")
  protected List<VMWStorageProfileType> vmwStorageProfile;

  public List<VMWStorageProfileType> getVMWStorageProfile()
  {
    if (this.vmwStorageProfile == null) {
      this.vmwStorageProfile = new ArrayList();
    }
    return this.vmwStorageProfile;
  }
}