package com.vmware.vcloud.api.rest.schema.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VmVimInfoType", propOrder={"vmVimObjectRef", "datastoreVimObjectRef", "hostVimObjectRef", "virtualDisksMaxChainLength"})
public class VmVimInfoType
{

  @XmlElement(name="VmVimObjectRef", required=true)
  protected VimObjectRefType vmVimObjectRef;

  @XmlElement(name="DatastoreVimObjectRef", required=true)
  protected VimObjectRefType datastoreVimObjectRef;

  @XmlElement(name="HostVimObjectRef", required=true)
  protected VimObjectRefType hostVimObjectRef;

  @XmlElement(name="VirtualDisksMaxChainLength")
  protected int virtualDisksMaxChainLength;

  public VimObjectRefType getVmVimObjectRef()
  {
    return this.vmVimObjectRef;
  }

  public void setVmVimObjectRef(VimObjectRefType value)
  {
    this.vmVimObjectRef = value;
  }

  public VimObjectRefType getDatastoreVimObjectRef()
  {
    return this.datastoreVimObjectRef;
  }

  public void setDatastoreVimObjectRef(VimObjectRefType value)
  {
    this.datastoreVimObjectRef = value;
  }

  public VimObjectRefType getHostVimObjectRef()
  {
    return this.hostVimObjectRef;
  }

  public void setHostVimObjectRef(VimObjectRefType value)
  {
    this.hostVimObjectRef = value;
  }

  public int getVirtualDisksMaxChainLength()
  {
    return this.virtualDisksMaxChainLength;
  }

  public void setVirtualDisksMaxChainLength(int value)
  {
    this.virtualDisksMaxChainLength = value;
  }
}