package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="EulaSection_Type", propOrder={"license", "any"})
public class EulaSectionType extends SectionType
{

  @XmlElement(name="License", required=true)
  protected MsgType license;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public MsgType getLicense()
  {
    return this.license;
  }

  public void setLicense(MsgType value)
  {
    this.license = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}