package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="InstallSection_Type", propOrder={"any"})
public class InstallSectionType extends SectionType
{

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Integer initialBootStopDelay;

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public int getInitialBootStopDelay()
  {
    if (this.initialBootStopDelay == null) {
      return 0;
    }
    return this.initialBootStopDelay.intValue();
  }

  public void setInitialBootStopDelay(Integer value)
  {
    this.initialBootStopDelay = value;
  }
}