package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ResourceAllocationSection_Type", propOrder={"item", "any"})
public class ResourceAllocationSectionType extends SectionType
{

  @XmlElement(name="Item")
  protected List<RASDType> item;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public List<RASDType> getItem()
  {
    if (this.item == null) {
      this.item = new ArrayList();
    }
    return this.item;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}