package com.vmware.vcloud.api.rest.schema.ovf.environment;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory
{
  private static final QName _PlatformSection_QNAME = new QName("http://schemas.dmtf.org/ovf/environment/1", "PlatformSection");
  private static final QName _PropertySection_QNAME = new QName("http://schemas.dmtf.org/ovf/environment/1", "PropertySection");
  private static final QName _Environment_QNAME = new QName("http://schemas.dmtf.org/ovf/environment/1", "Environment");
  private static final QName _Section_QNAME = new QName("http://schemas.dmtf.org/ovf/environment/1", "Section");

  public Property createProperty()
  {
    return new Property();
  }

  public EntityType createEntityType()
  {
    return new EntityType();
  }

  public PropertySectionType createPropertySectionType()
  {
    return new PropertySectionType();
  }

  public EnvironmentType createEnvironmentType()
  {
    return new EnvironmentType();
  }

  public PlatformSectionType createPlatformSectionType()
  {
    return new PlatformSectionType();
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/environment/1", name="PlatformSection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/environment/1", substitutionHeadName="Section")
  public JAXBElement<PlatformSectionType> createPlatformSection(PlatformSectionType value)
  {
    return new JAXBElement(_PlatformSection_QNAME, PlatformSectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/environment/1", name="PropertySection", substitutionHeadNamespace="http://schemas.dmtf.org/ovf/environment/1", substitutionHeadName="Section")
  public JAXBElement<PropertySectionType> createPropertySection(PropertySectionType value)
  {
    return new JAXBElement(_PropertySection_QNAME, PropertySectionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/environment/1", name="Environment")
  public JAXBElement<EnvironmentType> createEnvironment(EnvironmentType value)
  {
    return new JAXBElement(_Environment_QNAME, EnvironmentType.class, null, value);
  }

  @XmlElementDecl(namespace="http://schemas.dmtf.org/ovf/environment/1", name="Section")
  public JAXBElement<SectionType> createSection(SectionType value)
  {
    return new JAXBElement(_Section_QNAME, SectionType.class, null, value);
  }
}