package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum ImageType
{
  ISO("iso"), 

  FLOPPY("floppy");

  private final String value;

  private ImageType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static ImageType fromValue(String v) {
    for (ImageType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}