package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="InstantiateVAppParamsType", propOrder={"source", "isSourceDelete"})
public class InstantiateVAppParamsType extends VAppCreationParamsType
{

  @XmlElement(name="Source", required=true)
  protected ReferenceType source;

  @XmlElement(name="IsSourceDelete")
  protected Boolean isSourceDelete;

  @XmlAttribute
  protected Boolean linkedClone;

  public ReferenceType getSource()
  {
    return this.source;
  }

  public void setSource(ReferenceType value)
  {
    this.source = value;
  }

  public Boolean isIsSourceDelete()
  {
    return this.isSourceDelete;
  }

  public void setIsSourceDelete(Boolean value)
  {
    this.isSourceDelete = value;
  }

  public Boolean isLinkedClone()
  {
    return this.linkedClone;
  }

  public void setLinkedClone(Boolean value)
  {
    this.linkedClone = value;
  }
}