package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatOneToOneVmRuleType", propOrder={"mappingMode", "externalIP", "vAppScopedVmId", "vmNicId"})
public class NatOneToOneVmRuleType extends VCloudExtensibleType
{

  @XmlElement(name="MappingMode", required=true)
  protected NatMappingModeType mappingMode;

  @XmlElement(name="ExternalIP")
  protected String externalIP;

  @XmlElement(name="VAppScopedVmId", required=true)
  protected String vAppScopedVmId;

  @XmlElement(name="VmNicId")
  protected int vmNicId;

  public NatMappingModeType getMappingMode()
  {
    return this.mappingMode;
  }

  public void setMappingMode(NatMappingModeType value)
  {
    this.mappingMode = value;
  }

  public String getExternalIP()
  {
    return this.externalIP;
  }

  public void setExternalIP(String value)
  {
    this.externalIP = value;
  }

  public String getVAppScopedVmId()
  {
    return this.vAppScopedVmId;
  }

  public void setVAppScopedVmId(String value)
  {
    this.vAppScopedVmId = value;
  }

  public int getVmNicId()
  {
    return this.vmNicId;
  }

  public void setVmNicId(int value)
  {
    this.vmNicId = value;
  }
}