package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum NatTypeType
{
  IP_TRANSLATION("ipTranslation"), 

  PORT_FORWARDING("portForwarding");

  private final String value;

  private NatTypeType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static NatTypeType fromValue(String v) {
    for (NatTypeType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}