package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkAssignmentType")
public class NetworkAssignmentType extends VCloudExtensibleType
{

  @XmlAttribute(required=true)
  protected String containerNetwork;

  @XmlAttribute(required=true)
  protected String innerNetwork;

  public String getContainerNetwork()
  {
    return this.containerNetwork;
  }

  public void setContainerNetwork(String value)
  {
    this.containerNetwork = value;
  }

  public String getInnerNetwork()
  {
    return this.innerNetwork;
  }

  public void setInnerNetwork(String value)
  {
    this.innerNetwork = value;
  }
}