package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkFeaturesType", propOrder={"dhcpService", "firewallService", "natService"})
public class NetworkFeaturesType extends VCloudExtensibleType
{

  @XmlElement(name="DhcpService")
  protected DhcpServiceType dhcpService;

  @XmlElement(name="FirewallService")
  protected FirewallServiceType firewallService;

  @XmlElement(name="NatService")
  protected NatServiceType natService;

  public DhcpServiceType getDhcpService()
  {
    return this.dhcpService;
  }

  public void setDhcpService(DhcpServiceType value)
  {
    this.dhcpService = value;
  }

  public FirewallServiceType getFirewallService()
  {
    return this.firewallService;
  }

  public void setFirewallService(FirewallServiceType value)
  {
    this.firewallService = value;
  }

  public NatServiceType getNatService()
  {
    return this.natService;
  }

  public void setNatService(NatServiceType value)
  {
    this.natService = value;
  }
}