package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgListType", propOrder={"org"})
public class OrgListType extends ResourceType
{

  @XmlElement(name="Org")
  protected List<ReferenceType> org;

  public List<ReferenceType> getOrg()
  {
    if (this.org == null) {
      this.org = new ArrayList();
    }
    return this.org;
  }
}