package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VAppChildrenType", propOrder={"vApp", "vm"})
public class VAppChildrenType extends VCloudExtensibleType
{

  @XmlElement(name="VApp")
  protected List<VAppType> vApp;

  @XmlElement(name="Vm")
  protected List<VmType> vm;

  public List<VAppType> getVApp()
  {
    if (this.vApp == null) {
      this.vApp = new ArrayList();
    }
    return this.vApp;
  }

  public List<VmType> getVm()
  {
    if (this.vm == null) {
      this.vm = new ArrayList();
    }
    return this.vm;
  }
}