package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VdcsType", propOrder={"vdc"})
public class VdcsType extends VCloudExtensibleType
{

  @XmlElement(name="Vdc")
  protected List<ReferenceType> vdc;

  public List<ReferenceType> getVdc()
  {
    if (this.vdc == null) {
      this.vdc = new ArrayList();
    }
    return this.vdc;
  }
}