package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="FencePoolType", propOrder={"fenceIdCount", "vlanId", "vimSwitchRef", "usedNetworksCount"})
public class FencePoolType extends VMWNetworkPoolType
{

  @XmlElement(name="FenceIdCount")
  protected int fenceIdCount;

  @XmlElement(name="VlanId")
  protected int vlanId;

  @XmlElement(name="VimSwitchRef", required=true)
  protected VimObjectRefType vimSwitchRef;

  @XmlElement(name="UsedNetworksCount")
  protected Integer usedNetworksCount;

  public int getFenceIdCount()
  {
    return this.fenceIdCount;
  }

  public void setFenceIdCount(int value)
  {
    this.fenceIdCount = value;
  }

  public int getVlanId()
  {
    return this.vlanId;
  }

  public void setVlanId(int value)
  {
    this.vlanId = value;
  }

  public VimObjectRefType getVimSwitchRef()
  {
    return this.vimSwitchRef;
  }

  public void setVimSwitchRef(VimObjectRefType value)
  {
    this.vimSwitchRef = value;
  }

  public Integer getUsedNetworksCount()
  {
    return this.usedNetworksCount;
  }

  public void setUsedNetworksCount(Integer value)
  {
    this.usedNetworksCount = value;
  }
}