package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory
{
  private static final QName _Sample_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "Sample");
  private static final QName _PrepareHostParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "PrepareHostParams");
  private static final QName _ResourcePoolList_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "ResourcePoolList");
  private static final QName _ImportVmAsVAppTemplateParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "ImportVmAsVAppTemplateParams");
  private static final QName _VmObjectRefsList_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VmObjectRefsList");
  private static final QName _VMWExtension_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWExtension");
  private static final QName _LicensingReport_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "LicensingReport");
  private static final QName _VMWExternalNetworkReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWExternalNetworkReferences");
  private static final QName _ImportMediaParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "ImportMediaParams");
  private static final QName _VMWNetworkPool_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWNetworkPool");
  private static final QName _VMWVimServerReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWVimServerReferences");
  private static final QName _VMWProviderVdc_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWProviderVdc");
  private static final QName _Host_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "Host");
  private static final QName _VMWHostReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWHostReferences");
  private static final QName _LicensingReports_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "LicensingReports");
  private static final QName _ManagedServer_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "ManagedServer");
  private static final QName _ShieldManager_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "ShieldManager");
  private static final QName _ImportVmAsVAppParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "ImportVmAsVAppParams");
  private static final QName _VMWNetworkPoolReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWNetworkPoolReferences");
  private static final QName _VMWProviderVdcReferences_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWProviderVdcReferences");
  private static final QName _RegisterVimServerParams_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "RegisterVimServerParams");
  private static final QName _VimObjectRef_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VimObjectRef");
  private static final QName _VMWExternalNetwork_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VMWExternalNetwork");
  private static final QName _VirtualMachine_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VirtualMachine");
  private static final QName _VimServer_QNAME = new QName("http://www.vmware.com/vcloud/extension/v1", "VimServer");

  public LicensingReportType createLicensingReportType()
  {
    return new LicensingReportType();
  }

  public VMWProviderVdcType createVMWProviderVdcType()
  {
    return new VMWProviderVdcType();
  }

  public HostType createHostType()
  {
    return new HostType();
  }

  public VMWProviderVdcReferencesType createVMWProviderVdcReferencesType()
  {
    return new VMWProviderVdcReferencesType();
  }

  public ImportVmAsVAppParamsType createImportVmAsVAppParamsType()
  {
    return new ImportVmAsVAppParamsType();
  }

  public VMWHostReferencesType createVMWHostReferencesType()
  {
    return new VMWHostReferencesType();
  }

  public LicensingManagedServerType createLicensingManagedServerType()
  {
    return new LicensingManagedServerType();
  }

  public ManagedServerMetrics createManagedServerMetrics()
  {
    return new ManagedServerMetrics();
  }

  public LicensingReportSampleType createLicensingReportSampleType()
  {
    return new LicensingReportSampleType();
  }

  public FencePoolType createFencePoolType()
  {
    return new FencePoolType();
  }

  public VlanPoolType createVlanPoolType()
  {
    return new VlanPoolType();
  }

  public VMWExternalNetworkReferencesType createVMWExternalNetworkReferencesType()
  {
    return new VMWExternalNetworkReferencesType();
  }

  public VimServerType createVimServerType()
  {
    return new VimServerType();
  }

  public LicensingReportListType createLicensingReportListType()
  {
    return new LicensingReportListType();
  }

  public NumericRangeType createNumericRangeType()
  {
    return new NumericRangeType();
  }

  public VMWNetworkPoolType createVMWNetworkPoolType()
  {
    return new VMWNetworkPoolType();
  }

  public ResourcePoolType createResourcePoolType()
  {
    return new ResourcePoolType();
  }

  public VimObjectRefType createVimObjectRefType()
  {
    return new VimObjectRefType();
  }

  public RegisterVimServerParamsType createRegisterVimServerParamsType()
  {
    return new RegisterVimServerParamsType();
  }

  public ImportVmAsVAppTemplateParamsType createImportVmAsVAppTemplateParamsType()
  {
    return new ImportVmAsVAppTemplateParamsType();
  }

  public ResourcePoolListType createResourcePoolListType()
  {
    return new ResourcePoolListType();
  }

  public VirtualMachineMetrics createVirtualMachineMetrics()
  {
    return new VirtualMachineMetrics();
  }

  public VMWExtensionType createVMWExtensionType()
  {
    return new VMWExtensionType();
  }

  public PrepareHostParamsType createPrepareHostParamsType()
  {
    return new PrepareHostParamsType();
  }

  public LicensingVirtualMachineType createLicensingVirtualMachineType()
  {
    return new LicensingVirtualMachineType();
  }

  public ServerType createServerType()
  {
    return new ServerType();
  }

  public ImportMediaParamsType createImportMediaParamsType()
  {
    return new ImportMediaParamsType();
  }

  public PortGroupPoolType createPortGroupPoolType()
  {
    return new PortGroupPoolType();
  }

  public VimObjectRefsType createVimObjectRefsType()
  {
    return new VimObjectRefsType();
  }

  public VMWVimServerReferencesType createVMWVimServerReferencesType()
  {
    return new VMWVimServerReferencesType();
  }

  public VMWExternalNetworkType createVMWExternalNetworkType()
  {
    return new VMWExternalNetworkType();
  }

  public VmObjectRefsListType createVmObjectRefsListType()
  {
    return new VmObjectRefsListType();
  }

  public VmObjectRefType createVmObjectRefType()
  {
    return new VmObjectRefType();
  }

  public ShieldManagerType createShieldManagerType()
  {
    return new ShieldManagerType();
  }

  public VMWNetworkPoolReferencesType createVMWNetworkPoolReferencesType()
  {
    return new VMWNetworkPoolReferencesType();
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="Sample")
  public JAXBElement<LicensingReportSampleType> createSample(LicensingReportSampleType value)
  {
    return new JAXBElement(_Sample_QNAME, LicensingReportSampleType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="PrepareHostParams")
  public JAXBElement<PrepareHostParamsType> createPrepareHostParams(PrepareHostParamsType value)
  {
    return new JAXBElement(_PrepareHostParams_QNAME, PrepareHostParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="ResourcePoolList")
  public JAXBElement<ResourcePoolListType> createResourcePoolList(ResourcePoolListType value)
  {
    return new JAXBElement(_ResourcePoolList_QNAME, ResourcePoolListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="ImportVmAsVAppTemplateParams")
  public JAXBElement<ImportVmAsVAppTemplateParamsType> createImportVmAsVAppTemplateParams(ImportVmAsVAppTemplateParamsType value)
  {
    return new JAXBElement(_ImportVmAsVAppTemplateParams_QNAME, ImportVmAsVAppTemplateParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VmObjectRefsList")
  public JAXBElement<VmObjectRefsListType> createVmObjectRefsList(VmObjectRefsListType value)
  {
    return new JAXBElement(_VmObjectRefsList_QNAME, VmObjectRefsListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWExtension")
  public JAXBElement<VMWExtensionType> createVMWExtension(VMWExtensionType value)
  {
    return new JAXBElement(_VMWExtension_QNAME, VMWExtensionType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="LicensingReport")
  public JAXBElement<LicensingReportType> createLicensingReport(LicensingReportType value)
  {
    return new JAXBElement(_LicensingReport_QNAME, LicensingReportType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWExternalNetworkReferences")
  public JAXBElement<VMWExternalNetworkReferencesType> createVMWExternalNetworkReferences(VMWExternalNetworkReferencesType value)
  {
    return new JAXBElement(_VMWExternalNetworkReferences_QNAME, VMWExternalNetworkReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="ImportMediaParams")
  public JAXBElement<ImportMediaParamsType> createImportMediaParams(ImportMediaParamsType value)
  {
    return new JAXBElement(_ImportMediaParams_QNAME, ImportMediaParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWNetworkPool")
  public JAXBElement<VMWNetworkPoolType> createVMWNetworkPool(VMWNetworkPoolType value)
  {
    return new JAXBElement(_VMWNetworkPool_QNAME, VMWNetworkPoolType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWVimServerReferences")
  public JAXBElement<VMWVimServerReferencesType> createVMWVimServerReferences(VMWVimServerReferencesType value)
  {
    return new JAXBElement(_VMWVimServerReferences_QNAME, VMWVimServerReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWProviderVdc")
  public JAXBElement<VMWProviderVdcType> createVMWProviderVdc(VMWProviderVdcType value)
  {
    return new JAXBElement(_VMWProviderVdc_QNAME, VMWProviderVdcType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="Host")
  public JAXBElement<HostType> createHost(HostType value)
  {
    return new JAXBElement(_Host_QNAME, HostType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWHostReferences")
  public JAXBElement<VMWHostReferencesType> createVMWHostReferences(VMWHostReferencesType value)
  {
    return new JAXBElement(_VMWHostReferences_QNAME, VMWHostReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="LicensingReports")
  public JAXBElement<LicensingReportListType> createLicensingReports(LicensingReportListType value)
  {
    return new JAXBElement(_LicensingReports_QNAME, LicensingReportListType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="ManagedServer")
  public JAXBElement<LicensingManagedServerType> createManagedServer(LicensingManagedServerType value)
  {
    return new JAXBElement(_ManagedServer_QNAME, LicensingManagedServerType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="ShieldManager")
  public JAXBElement<ShieldManagerType> createShieldManager(ShieldManagerType value)
  {
    return new JAXBElement(_ShieldManager_QNAME, ShieldManagerType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="ImportVmAsVAppParams")
  public JAXBElement<ImportVmAsVAppParamsType> createImportVmAsVAppParams(ImportVmAsVAppParamsType value)
  {
    return new JAXBElement(_ImportVmAsVAppParams_QNAME, ImportVmAsVAppParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWNetworkPoolReferences")
  public JAXBElement<VMWNetworkPoolReferencesType> createVMWNetworkPoolReferences(VMWNetworkPoolReferencesType value)
  {
    return new JAXBElement(_VMWNetworkPoolReferences_QNAME, VMWNetworkPoolReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWProviderVdcReferences")
  public JAXBElement<VMWProviderVdcReferencesType> createVMWProviderVdcReferences(VMWProviderVdcReferencesType value)
  {
    return new JAXBElement(_VMWProviderVdcReferences_QNAME, VMWProviderVdcReferencesType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="RegisterVimServerParams")
  public JAXBElement<RegisterVimServerParamsType> createRegisterVimServerParams(RegisterVimServerParamsType value)
  {
    return new JAXBElement(_RegisterVimServerParams_QNAME, RegisterVimServerParamsType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VimObjectRef")
  public JAXBElement<VimObjectRefType> createVimObjectRef(VimObjectRefType value)
  {
    return new JAXBElement(_VimObjectRef_QNAME, VimObjectRefType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VMWExternalNetwork")
  public JAXBElement<VMWExternalNetworkType> createVMWExternalNetwork(VMWExternalNetworkType value)
  {
    return new JAXBElement(_VMWExternalNetwork_QNAME, VMWExternalNetworkType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VirtualMachine")
  public JAXBElement<LicensingVirtualMachineType> createVirtualMachine(LicensingVirtualMachineType value)
  {
    return new JAXBElement(_VirtualMachine_QNAME, LicensingVirtualMachineType.class, null, value);
  }

  @XmlElementDecl(namespace="http://www.vmware.com/vcloud/extension/v1", name="VimServer")
  public JAXBElement<VimServerType> createVimServer(VimServerType value)
  {
    return new JAXBElement(_VimServer_QNAME, VimServerType.class, null, value);
  }
}