package com.vmware.vcloud.sdk.constants;

public enum AllocatedIpAddressAllocationType
{
  VMALLOCATED("vmAllocated"), 

  NATROUTED("natRouted"), 

  VSMALLOCATED("vsmAllocated");

  private String value;

  private AllocatedIpAddressAllocationType() {
  }

  private AllocatedIpAddressAllocationType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static AllocatedIpAddressAllocationType fromValue(String value) {
    for (AllocatedIpAddressAllocationType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}