package com.vmware.vcloud.sdk.constants;

public enum LdapConnectorType
{
  ACTIVE_DIRECTORY("ACTIVE_DIRECTORY"), 

  OPEN_LDAP("OPEN_LDAP");

  private String value;

  private LdapConnectorType() {
  }

  private LdapConnectorType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static LdapConnectorType fromValue(String value) {
    for (LdapConnectorType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}