package com.vmware.vcloud.sdk.constants;

public enum NatTypeType
{
  IPTRANSLATION("ipTranslation"), 

  PORTFORWARDING("portForwarding");

  private String value;

  private NatTypeType() {
  }

  private NatTypeType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static NatTypeType fromValue(String value) {
    for (NatTypeType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}