package com.vmware.vcloud.sdk.constants;

public enum UndeployPowerActionType
{
  SUSPEND("suspend"), 

  POWEROFF("powerOff"), 

  DEFAULT("default"), 

  SHUTDOWN("shutdown"), 

  FORCE("force");

  private String value;

  private UndeployPowerActionType() {
  }

  private UndeployPowerActionType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static UndeployPowerActionType fromValue(String value) {
    for (UndeployPowerActionType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}