package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminServiceField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  ENABLED("enabled"), 
  EXCHANGE("exchange"), 
  ISAUTHORIZATIONENABLED("isAuthorizationEnabled"), 
  NAME("name"), 
  NAMESPACE("namespace"), 
  PRIORITY("priority"), 
  ROUTINGKEY("routingKey"), 
  VENDOR("vendor");

  private String value;

  private QueryAdminServiceField() {
  }
  private QueryAdminServiceField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminServiceField fromValue(String value) {
    for (QueryAdminServiceField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}