package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminVMField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CATALOGNAME("catalogName"), 
  CONTAINER("container"), 
  CONTAINERNAME("containerName"), 
  DATASTORENAME("datastoreName"), 
  GUESTOS("guestOs"), 
  HARDWAREVERSION("hardwareVersion"), 
  HOSTNAME("hostName"), 
  ISDELETED("isDeleted"), 
  ISDEPLOYED("isDeployed"), 
  ISPUBLISHED("isPublished"), 
  ISVAPPTEMPLATE("isVAppTemplate"), 
  ISVDCENABLED("isVdcEnabled"), 
  MEMORYMB("memoryMB"), 
  MOREF("moref"), 
  NAME("name"), 
  NETWORKNAME("networkName"), 
  NUMBEROFCPUS("numberOfCpus"), 
  ORG("org"), 
  STATUS("status"), 

  STORAGEPROFILENAME("storageProfileName"), 
  VC("vc"), 
  VDC("vdc"), 
  VMTOOLSVERSION("vmToolsVersion");

  private String value;

  private QueryAdminVMField() {
  }
  private QueryAdminVMField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminVMField fromValue(String value) {
    for (QueryAdminVMField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}