package com.vmware.vcloud.sdk.constants.query;

public enum QueryNetworkPoolField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISBUSY("isBusy"), 
  NAME("name"), 
  NETWORKPOOLTYPE("networkPoolType");

  private String value;

  private QueryNetworkPoolField() {
  }
  private QueryNetworkPoolField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryNetworkPoolField fromValue(String value) {
    for (QueryNetworkPoolField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}