package com.vmware.vcloud.sdk.constants.query;

public enum QueryServiceResourceField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  EXTERNALOBJECTID("externalObjectId"), 
  NAME("name"), 
  ORG("org"), 
  RESOURCECLASS("resourceClass");

  private String value;

  private QueryServiceResourceField() {
  }
  private QueryServiceResourceField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryServiceResourceField fromValue(String value) {
    for (QueryServiceResourceField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}