package com.vmware.vcloud.sdk.constants.query;

public enum QueryVAppTemplateField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CATALOGNAME("catalogName"), 
  CREATIONDATE("creationDate"), 
  ISBUSY("isBusy"), 
  ISDEPLOYED("isDeployed"), 
  ISENABLED("isEnabled"), 

  ISEXPIRED("isExpired"), 
  ISGOLDMASTER("isGoldMaster"), 
  ISPUBLISHED("isPublished"), 
  NAME("name"), 
  ORG("org"), 
  OWNERNAME("ownerName"), 
  STATUS("status"), 

  STORAGEPROFILENAME("storageProfileName"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryVAppTemplateField() {
  }
  private QueryVAppTemplateField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryVAppTemplateField fromValue(String value) {
    for (QueryVAppTemplateField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}