package org.eclipse.jdt.internal.compiler.ast;

import org.eclipse.jdt.internal.compiler.impl.Constant;
import org.eclipse.jdt.internal.compiler.impl.IntConstant;

public class IntLiteralMinValue extends IntLiteral
{
  static final char[] CharValue = { '-', '2', '1', '4', '7', '4', '8', '3', '6', '4', '8' };
  static final Constant MIN_VALUE = IntConstant.fromValue(-2147483648);

  public IntLiteralMinValue() {
    super(CharValue, 0, 0, -2147483648);
    this.constant = MIN_VALUE;
  }

  public void computeConstant()
  {
  }
}