package org.quartz.core;

import org.quartz.Scheduler;
import org.quartz.SchedulerConfigException;
import org.quartz.SchedulerException;
import org.quartz.spi.TriggerFiredBundle;

public abstract interface JobRunShellFactory
{
  public abstract void initialize(Scheduler paramScheduler)
    throws SchedulerConfigException;

  public abstract JobRunShell createJobRunShell(TriggerFiredBundle paramTriggerFiredBundle)
    throws SchedulerException;
}