package org.quartz.impl.jdbcjobstore;

import java.sql.PreparedStatement;
import java.sql.SQLException;
import org.quartz.spi.ClassLoadHelper;
import org.slf4j.Logger;

public class DB2v8Delegate extends StdJDBCDelegate
{
  public DB2v8Delegate(Logger logger, String tablePrefix, String schedName, String instanceId, ClassLoadHelper classLoadHelper)
  {
    super(logger, tablePrefix, schedName, instanceId, classLoadHelper);
  }

  public DB2v8Delegate(Logger log, String tablePrefix, String schedName, String instanceId, Boolean useProperties, ClassLoadHelper classLoadHelper)
  {
    super(log, tablePrefix, schedName, instanceId, classLoadHelper, useProperties);
  }

  protected void setBoolean(PreparedStatement ps, int index, boolean val)
    throws SQLException
  {
    ps.setInt(index, val ? 1 : 0);
  }
}