/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/logging/SLF4JAdapterFactory.java#2 $
 *
 * Copyright (c) 2010 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.common.logging;

import org.slf4j.ILoggerFactory;
import org.slf4j.LoggerFactory;

/**
 * @author thomaswb
 *         Date: May 19, 2010
 */
public class SLF4JAdapterFactory implements LogAdapterFactory {
    private static final ILoggerFactory FACTORY = LoggerFactory.getILoggerFactory();


    @Override
    public LogAdapter createLogAdapter(String name) {
        return new SLF4JLoggerAdapter(FACTORY.getLogger(name));
    }
}
