/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/remote/RemoteObjectFactoryRequest.java#2 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.remote;

import com.netapp.common.remote.jvm.JvmLaunchCommand;
import com.netapp.common.remote.jvm.JvmLauncher;

/**
 * @author claird
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class RemoteObjectFactoryRequest {

    private JvmLauncher jvmLauncher;

    public RemoteObjectFactoryRequest(JvmLauncher jvmLauncher) {
        super();
        this.jvmLauncher = jvmLauncher;
    }

    public JvmLauncher getJvmLauncher() {
        return this.jvmLauncher;
    }

    public JvmLaunchCommand createJvmLaunchCommand(String... args) {
        JvmLaunchCommand command = new JvmLaunchCommand(RemoteObjectFactoryImpl.class.getName(), args);
        return command;
    }
}
