/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/remote/jvm/JvmLaunchCommand.java#2 $
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.remote.jvm;



/**
 * @author claird
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class JvmLaunchCommand {

    private String className;
    private String[] args;

    public JvmLaunchCommand(String className, String... args) {
        super();
        this.className = className;
        this.args = args;
    }

    public JvmLaunchCommand() {
    }

    public String getClassName() {
        return this.className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    @edu.umd.cs.findbugs.annotations.SuppressWarnings("EI")
    public String[] getArgs() {
        return this.args;
    }

    public void setArgs(String... args) {
        this.args = args;
    }

}
