/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/util/UncheckedCallable.java#2 $
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.util;

/**
 * Similar to {@link java.util.concurrent.Callable} except the
 * {@link #call()} method on this interface is not declared to
 * throw Exception
 *
 * @author sirianni
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface UncheckedCallable<V> {

    /**
     * Computes a result
     *
     * @return computed result
     */
    V call();

}
