package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import java.io.Serializable;

@Api("iscsi-isns-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EALREADYSTARTED", "EAPILICENSE", "EINTERNALERROR", "ENOTSTARTED"})
@Family({"ontap-c", "vfiler"})
public class IscsiIsnsStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
}