package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("rpc-stats-info")
public class RpcStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public RpcDataInfo tcpInfo;
  public RpcDataInfo udpInfo;

  @Element("tcp-info")
  @Type("rpc-data-info")
  public void setTcpInfo(RpcDataInfo paramRpcDataInfo)
  {
    this.tcpInfo = paramRpcDataInfo;
  }

  public RpcDataInfo getTcpInfo()
  {
    return this.tcpInfo;
  }

  public RpcStatsInfo withTcpInfo(RpcDataInfo paramRpcDataInfo)
  {
    this.tcpInfo = paramRpcDataInfo;
    return this;
  }

  @Element("udp-info")
  @Type("rpc-data-info")
  public void setUdpInfo(RpcDataInfo paramRpcDataInfo)
  {
    this.udpInfo = paramRpcDataInfo;
  }

  public RpcDataInfo getUdpInfo()
  {
    return this.udpInfo;
  }

  public RpcStatsInfo withUdpInfo(RpcDataInfo paramRpcDataInfo)
  {
    this.udpInfo = paramRpcDataInfo;
    return this;
  }
}