package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("useradmin-group-add")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class UseradminGroupAdd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public UseradminGroupInfo useradminGroup;

  @Input("useradmin-group")
  @Type("useradmin-group-info")
  public void setUseradminGroup(UseradminGroupInfo paramUseradminGroupInfo)
  {
    this.useradminGroup = paramUseradminGroupInfo;
  }

  public UseradminGroupInfo getUseradminGroup()
  {
    return this.useradminGroup;
  }

  public UseradminGroupAdd withUseradminGroup(UseradminGroupInfo paramUseradminGroupInfo)
  {
    this.useradminGroup = paramUseradminGroupInfo;
    return this;
  }
}