package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CatalogItemsType", propOrder={"catalogItem"})
public class CatalogItemsType extends VCloudExtensibleType
{

  @XmlElement(name="CatalogItem")
  protected List<ReferenceType> catalogItem;

  public List<ReferenceType> getCatalogItem()
  {
    if (this.catalogItem == null) {
      this.catalogItem = new ArrayList();
    }
    return this.catalogItem;
  }
}