package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DhcpServiceType", propOrder={"defaultLeaseTime", "maxLeaseTime", "ipRange", "routerIp", "subMask", "primaryNameServer", "secondaryNameServer", "domainName"})
public class DhcpServiceType extends NetworkServiceType
{

  @XmlElement(name="DefaultLeaseTime")
  protected Integer defaultLeaseTime;

  @XmlElement(name="MaxLeaseTime")
  protected Integer maxLeaseTime;

  @XmlElement(name="IpRange")
  protected IpRangeType ipRange;

  @XmlElement(name="RouterIp")
  protected String routerIp;

  @XmlElement(name="SubMask")
  protected String subMask;

  @XmlElement(name="PrimaryNameServer")
  protected String primaryNameServer;

  @XmlElement(name="SecondaryNameServer")
  protected String secondaryNameServer;

  @XmlElement(name="DomainName")
  protected String domainName;

  public Integer getDefaultLeaseTime()
  {
    return this.defaultLeaseTime;
  }

  public void setDefaultLeaseTime(Integer value)
  {
    this.defaultLeaseTime = value;
  }

  public Integer getMaxLeaseTime()
  {
    return this.maxLeaseTime;
  }

  public void setMaxLeaseTime(Integer value)
  {
    this.maxLeaseTime = value;
  }

  public IpRangeType getIpRange()
  {
    return this.ipRange;
  }

  public void setIpRange(IpRangeType value)
  {
    this.ipRange = value;
  }

  public String getRouterIp()
  {
    return this.routerIp;
  }

  public void setRouterIp(String value)
  {
    this.routerIp = value;
  }

  public String getSubMask()
  {
    return this.subMask;
  }

  public void setSubMask(String value)
  {
    this.subMask = value;
  }

  public String getPrimaryNameServer()
  {
    return this.primaryNameServer;
  }

  public void setPrimaryNameServer(String value)
  {
    this.primaryNameServer = value;
  }

  public String getSecondaryNameServer()
  {
    return this.secondaryNameServer;
  }

  public void setSecondaryNameServer(String value)
  {
    this.secondaryNameServer = value;
  }

  public String getDomainName()
  {
    return this.domainName;
  }

  public void setDomainName(String value)
  {
    this.domainName = value;
  }
}