package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GatewayIpsecVpnEndpointType", propOrder={"network", "publicIp"})
public class GatewayIpsecVpnEndpointType extends VCloudExtensibleType
{

  @XmlElement(name="Network")
  protected ReferenceType network;

  @XmlElement(name="PublicIp")
  protected String publicIp;

  public ReferenceType getNetwork()
  {
    return this.network;
  }

  public void setNetwork(ReferenceType value)
  {
    this.network = value;
  }

  public String getPublicIp()
  {
    return this.publicIp;
  }

  public void setPublicIp(String value)
  {
    this.publicIp = value;
  }
}