package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="IpScopesType", propOrder={"ipScope"})
public class IpScopesType extends VCloudExtensibleType
{

  @XmlElement(name="IpScope")
  protected List<IpScopeType> ipScope;

  public List<IpScopeType> getIpScope()
  {
    if (this.ipScope == null) {
      this.ipScope = new ArrayList();
    }
    return this.ipScope;
  }
}