package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatRuleType", propOrder={"description", "ruleType", "isEnabled", "id", "gatewayNatRule", "oneToOneBasicRule", "oneToOneVmRule", "portForwardingRule", "vmRule"})
public class NatRuleType extends VCloudExtensibleType
{

  @XmlElement(name="Description")
  protected String description;

  @XmlElement(name="RuleType")
  protected String ruleType;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="Id")
  protected Integer id;

  @XmlElement(name="GatewayNatRule")
  protected GatewayNatRuleType gatewayNatRule;

  @XmlElement(name="OneToOneBasicRule")
  protected NatOneToOneBasicRuleType oneToOneBasicRule;

  @XmlElement(name="OneToOneVmRule")
  protected NatOneToOneVmRuleType oneToOneVmRule;

  @XmlElement(name="PortForwardingRule")
  protected NatPortForwardingRuleType portForwardingRule;

  @XmlElement(name="VmRule")
  protected NatVmRuleType vmRule;

  public String getDescription()
  {
    return this.description;
  }

  public void setDescription(String value)
  {
    this.description = value;
  }

  public String getRuleType()
  {
    return this.ruleType;
  }

  public void setRuleType(String value)
  {
    this.ruleType = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Integer getId()
  {
    return this.id;
  }

  public void setId(Integer value)
  {
    this.id = value;
  }

  public GatewayNatRuleType getGatewayNatRule()
  {
    return this.gatewayNatRule;
  }

  public void setGatewayNatRule(GatewayNatRuleType value)
  {
    this.gatewayNatRule = value;
  }

  public NatOneToOneBasicRuleType getOneToOneBasicRule()
  {
    return this.oneToOneBasicRule;
  }

  public void setOneToOneBasicRule(NatOneToOneBasicRuleType value)
  {
    this.oneToOneBasicRule = value;
  }

  public NatOneToOneVmRuleType getOneToOneVmRule()
  {
    return this.oneToOneVmRule;
  }

  public void setOneToOneVmRule(NatOneToOneVmRuleType value)
  {
    this.oneToOneVmRule = value;
  }

  public NatPortForwardingRuleType getPortForwardingRule()
  {
    return this.portForwardingRule;
  }

  public void setPortForwardingRule(NatPortForwardingRuleType value)
  {
    this.portForwardingRule = value;
  }

  public NatVmRuleType getVmRule()
  {
    return this.vmRule;
  }

  public void setVmRule(NatVmRuleType value)
  {
    this.vmRule = value;
  }
}