package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatServiceType", propOrder={"natType", "policy", "natRule", "externalIp"})
public class NatServiceType extends NetworkServiceType
{

  @XmlElement(name="NatType")
  protected String natType;

  @XmlElement(name="Policy")
  protected String policy;

  @XmlElement(name="NatRule")
  protected List<NatRuleType> natRule;

  @XmlElement(name="ExternalIp")
  protected String externalIp;

  public String getNatType()
  {
    return this.natType;
  }

  public void setNatType(String value)
  {
    this.natType = value;
  }

  public String getPolicy()
  {
    return this.policy;
  }

  public void setPolicy(String value)
  {
    this.policy = value;
  }

  public List<NatRuleType> getNatRule()
  {
    if (this.natRule == null) {
      this.natRule = new ArrayList();
    }
    return this.natRule;
  }

  public String getExternalIp()
  {
    return this.externalIp;
  }

  public void setExternalIp(String value)
  {
    this.externalIp = value;
  }
}