package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminCatalogRecordType")
public class QueryResultAdminCatalogRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected XMLGregorianCalendar creationDate;

  @XmlAttribute
  protected Boolean isPublished;

  @XmlAttribute
  protected Boolean isShared;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfMedia;

  @XmlAttribute
  protected Integer numberOfTemplates;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String orgName;

  @XmlAttribute
  protected String owner;

  @XmlAttribute
  protected String ownerName;

  public XMLGregorianCalendar getCreationDate()
  {
    return this.creationDate;
  }

  public void setCreationDate(XMLGregorianCalendar value)
  {
    this.creationDate = value;
  }

  public Boolean isIsPublished()
  {
    return this.isPublished;
  }

  public void setIsPublished(Boolean value)
  {
    this.isPublished = value;
  }

  public Boolean isIsShared()
  {
    return this.isShared;
  }

  public void setIsShared(Boolean value)
  {
    this.isShared = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfMedia()
  {
    return this.numberOfMedia;
  }

  public void setNumberOfMedia(Integer value)
  {
    this.numberOfMedia = value;
  }

  public Integer getNumberOfTemplates()
  {
    return this.numberOfTemplates;
  }

  public void setNumberOfTemplates(Integer value)
  {
    this.numberOfTemplates = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getOrgName()
  {
    return this.orgName;
  }

  public void setOrgName(String value)
  {
    this.orgName = value;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public void setOwner(String value)
  {
    this.owner = value;
  }

  public String getOwnerName()
  {
    return this.ownerName;
  }

  public void setOwnerName(String value)
  {
    this.ownerName = value;
  }
}