package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultAdminVMRecordType")
public class QueryResultAdminVMRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String catalogName;

  @XmlAttribute
  protected String container;

  @XmlAttribute
  protected String containerName;

  @XmlAttribute
  protected String datastoreName;

  @XmlAttribute
  protected String guestOs;

  @XmlAttribute
  protected Integer hardwareVersion;

  @XmlAttribute
  protected String hostName;

  @XmlAttribute
  protected Boolean isDeleted;

  @XmlAttribute
  protected Boolean isDeployed;

  @XmlAttribute
  protected Boolean isPublished;

  @XmlAttribute
  protected Boolean isVAppTemplate;

  @XmlAttribute
  protected Boolean isVdcEnabled;

  @XmlAttribute
  protected Integer memoryMB;

  @XmlAttribute
  protected String moref;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String networkName;

  @XmlAttribute
  protected Integer numberOfCpus;

  @XmlAttribute
  protected String org;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected String storageProfileName;

  @XmlAttribute
  protected String vc;

  @XmlAttribute
  protected String vdc;

  @XmlAttribute
  protected Integer vmToolsVersion;

  public String getCatalogName()
  {
    return this.catalogName;
  }

  public void setCatalogName(String value)
  {
    this.catalogName = value;
  }

  public String getContainer()
  {
    return this.container;
  }

  public void setContainer(String value)
  {
    this.container = value;
  }

  public String getContainerName()
  {
    return this.containerName;
  }

  public void setContainerName(String value)
  {
    this.containerName = value;
  }

  public String getDatastoreName()
  {
    return this.datastoreName;
  }

  public void setDatastoreName(String value)
  {
    this.datastoreName = value;
  }

  public String getGuestOs()
  {
    return this.guestOs;
  }

  public void setGuestOs(String value)
  {
    this.guestOs = value;
  }

  public Integer getHardwareVersion()
  {
    return this.hardwareVersion;
  }

  public void setHardwareVersion(Integer value)
  {
    this.hardwareVersion = value;
  }

  public String getHostName()
  {
    return this.hostName;
  }

  public void setHostName(String value)
  {
    this.hostName = value;
  }

  public Boolean isIsDeleted()
  {
    return this.isDeleted;
  }

  public void setIsDeleted(Boolean value)
  {
    this.isDeleted = value;
  }

  public Boolean isIsDeployed()
  {
    return this.isDeployed;
  }

  public void setIsDeployed(Boolean value)
  {
    this.isDeployed = value;
  }

  public Boolean isIsPublished()
  {
    return this.isPublished;
  }

  public void setIsPublished(Boolean value)
  {
    this.isPublished = value;
  }

  public Boolean isIsVAppTemplate()
  {
    return this.isVAppTemplate;
  }

  public void setIsVAppTemplate(Boolean value)
  {
    this.isVAppTemplate = value;
  }

  public Boolean isIsVdcEnabled()
  {
    return this.isVdcEnabled;
  }

  public void setIsVdcEnabled(Boolean value)
  {
    this.isVdcEnabled = value;
  }

  public Integer getMemoryMB()
  {
    return this.memoryMB;
  }

  public void setMemoryMB(Integer value)
  {
    this.memoryMB = value;
  }

  public String getMoref()
  {
    return this.moref;
  }

  public void setMoref(String value)
  {
    this.moref = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNetworkName()
  {
    return this.networkName;
  }

  public void setNetworkName(String value)
  {
    this.networkName = value;
  }

  public Integer getNumberOfCpus()
  {
    return this.numberOfCpus;
  }

  public void setNumberOfCpus(Integer value)
  {
    this.numberOfCpus = value;
  }

  public String getOrg()
  {
    return this.org;
  }

  public void setOrg(String value)
  {
    this.org = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public String getStorageProfileName()
  {
    return this.storageProfileName;
  }

  public void setStorageProfileName(String value)
  {
    this.storageProfileName = value;
  }

  public String getVc()
  {
    return this.vc;
  }

  public void setVc(String value)
  {
    this.vc = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }

  public Integer getVmToolsVersion()
  {
    return this.vmToolsVersion;
  }

  public void setVmToolsVersion(Integer value)
  {
    this.vmToolsVersion = value;
  }
}