package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultBlockingTaskRecordType")
public class QueryResultBlockingTaskRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected XMLGregorianCalendar creationDate;

  @XmlAttribute
  protected XMLGregorianCalendar expirationTime;

  @XmlAttribute
  protected Boolean hasOwner;

  @XmlAttribute
  protected String jobStatus;

  @XmlAttribute
  protected String operationName;

  @XmlAttribute
  protected String originatingOrg;

  @XmlAttribute
  protected String originatingOrgName;

  @XmlAttribute
  protected String owner;

  @XmlAttribute
  protected String ownerName;

  @XmlAttribute
  protected String status;

  @XmlAttribute
  protected String task;

  @XmlAttribute
  protected String timeoutAction;

  public XMLGregorianCalendar getCreationDate()
  {
    return this.creationDate;
  }

  public void setCreationDate(XMLGregorianCalendar value)
  {
    this.creationDate = value;
  }

  public XMLGregorianCalendar getExpirationTime()
  {
    return this.expirationTime;
  }

  public void setExpirationTime(XMLGregorianCalendar value)
  {
    this.expirationTime = value;
  }

  public Boolean isHasOwner()
  {
    return this.hasOwner;
  }

  public void setHasOwner(Boolean value)
  {
    this.hasOwner = value;
  }

  public String getJobStatus()
  {
    return this.jobStatus;
  }

  public void setJobStatus(String value)
  {
    this.jobStatus = value;
  }

  public String getOperationName()
  {
    return this.operationName;
  }

  public void setOperationName(String value)
  {
    this.operationName = value;
  }

  public String getOriginatingOrg()
  {
    return this.originatingOrg;
  }

  public void setOriginatingOrg(String value)
  {
    this.originatingOrg = value;
  }

  public String getOriginatingOrgName()
  {
    return this.originatingOrgName;
  }

  public void setOriginatingOrgName(String value)
  {
    this.originatingOrgName = value;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public void setOwner(String value)
  {
    this.owner = value;
  }

  public String getOwnerName()
  {
    return this.ownerName;
  }

  public void setOwnerName(String value)
  {
    this.ownerName = value;
  }

  public String getStatus()
  {
    return this.status;
  }

  public void setStatus(String value)
  {
    this.status = value;
  }

  public String getTask()
  {
    return this.task;
  }

  public void setTask(String value)
  {
    this.task = value;
  }

  public String getTimeoutAction()
  {
    return this.timeoutAction;
  }

  public void setTimeoutAction(String value)
  {
    this.timeoutAction = value;
  }
}