package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultEventRecordType")
public class QueryResultEventRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String entity;

  @XmlAttribute
  protected String entityName;

  @XmlAttribute
  protected String entityType;

  @XmlAttribute
  protected Integer eventStatus;

  @XmlAttribute
  protected String eventType;

  @XmlAttribute
  protected String orgName;

  @XmlAttribute
  protected String serviceNamespace;

  @XmlAttribute
  protected XMLGregorianCalendar timeStamp;

  @XmlAttribute
  protected String userName;

  public String getEntity()
  {
    return this.entity;
  }

  public void setEntity(String value)
  {
    this.entity = value;
  }

  public String getEntityName()
  {
    return this.entityName;
  }

  public void setEntityName(String value)
  {
    this.entityName = value;
  }

  public String getEntityType()
  {
    return this.entityType;
  }

  public void setEntityType(String value)
  {
    this.entityType = value;
  }

  public Integer getEventStatus()
  {
    return this.eventStatus;
  }

  public void setEventStatus(Integer value)
  {
    this.eventStatus = value;
  }

  public String getEventType()
  {
    return this.eventType;
  }

  public void setEventType(String value)
  {
    this.eventType = value;
  }

  public String getOrgName()
  {
    return this.orgName;
  }

  public void setOrgName(String value)
  {
    this.orgName = value;
  }

  public String getServiceNamespace()
  {
    return this.serviceNamespace;
  }

  public void setServiceNamespace(String value)
  {
    this.serviceNamespace = value;
  }

  public XMLGregorianCalendar getTimeStamp()
  {
    return this.timeStamp;
  }

  public void setTimeStamp(XMLGregorianCalendar value)
  {
    this.timeStamp = value;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public void setUserName(String value)
  {
    this.userName = value;
  }
}