package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultOrgVdcNetworkRecordType")
public class QueryResultOrgVdcNetworkRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected String connectedTo;

  @XmlAttribute
  protected String defaultGateway;

  @XmlAttribute
  protected String dns1;

  @XmlAttribute
  protected String dns2;

  @XmlAttribute
  protected String dnsSuffix;

  @XmlAttribute
  protected Boolean isBusy;

  @XmlAttribute
  protected Boolean isIpScopeInherited;

  @XmlAttribute
  protected Boolean isShared;

  @XmlAttribute
  protected Integer linkType;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected String netmask;

  @XmlAttribute
  protected String vdc;

  @XmlAttribute
  protected String vdcName;

  public String getConnectedTo()
  {
    return this.connectedTo;
  }

  public void setConnectedTo(String value)
  {
    this.connectedTo = value;
  }

  public String getDefaultGateway()
  {
    return this.defaultGateway;
  }

  public void setDefaultGateway(String value)
  {
    this.defaultGateway = value;
  }

  public String getDns1()
  {
    return this.dns1;
  }

  public void setDns1(String value)
  {
    this.dns1 = value;
  }

  public String getDns2()
  {
    return this.dns2;
  }

  public void setDns2(String value)
  {
    this.dns2 = value;
  }

  public String getDnsSuffix()
  {
    return this.dnsSuffix;
  }

  public void setDnsSuffix(String value)
  {
    this.dnsSuffix = value;
  }

  public Boolean isIsBusy()
  {
    return this.isBusy;
  }

  public void setIsBusy(Boolean value)
  {
    this.isBusy = value;
  }

  public Boolean isIsIpScopeInherited()
  {
    return this.isIpScopeInherited;
  }

  public void setIsIpScopeInherited(Boolean value)
  {
    this.isIpScopeInherited = value;
  }

  public Boolean isIsShared()
  {
    return this.isShared;
  }

  public void setIsShared(Boolean value)
  {
    this.isShared = value;
  }

  public Integer getLinkType()
  {
    return this.linkType;
  }

  public void setLinkType(Integer value)
  {
    this.linkType = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getNetmask()
  {
    return this.netmask;
  }

  public void setNetmask(String value)
  {
    this.netmask = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }

  public String getVdcName()
  {
    return this.vdcName;
  }

  public void setVdcName(String value)
  {
    this.vdcName = value;
  }
}