package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="QueryResultOrgVdcStorageProfileRecordType")
public class QueryResultOrgVdcStorageProfileRecordType extends QueryResultRecordType
{

  @XmlAttribute
  protected Boolean isDefaultStorageProfile;

  @XmlAttribute
  protected Boolean isEnabled;

  @XmlAttribute
  protected Boolean isVdcBusy;

  @XmlAttribute
  protected String name;

  @XmlAttribute
  protected Integer numberOfConditions;

  @XmlAttribute
  protected Integer storageLimitMB;

  @XmlAttribute
  protected Integer storageUsedMB;

  @XmlAttribute
  protected String vdc;

  @XmlAttribute
  protected String vdcName;

  public Boolean isIsDefaultStorageProfile()
  {
    return this.isDefaultStorageProfile;
  }

  public void setIsDefaultStorageProfile(Boolean value)
  {
    this.isDefaultStorageProfile = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsVdcBusy()
  {
    return this.isVdcBusy;
  }

  public void setIsVdcBusy(Boolean value)
  {
    this.isVdcBusy = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public Integer getNumberOfConditions()
  {
    return this.numberOfConditions;
  }

  public void setNumberOfConditions(Integer value)
  {
    this.numberOfConditions = value;
  }

  public Integer getStorageLimitMB()
  {
    return this.storageLimitMB;
  }

  public void setStorageLimitMB(Integer value)
  {
    this.storageLimitMB = value;
  }

  public Integer getStorageUsedMB()
  {
    return this.storageUsedMB;
  }

  public void setStorageUsedMB(Integer value)
  {
    this.storageUsedMB = value;
  }

  public String getVdc()
  {
    return this.vdc;
  }

  public void setVdc(String value)
  {
    this.vdc = value;
  }

  public String getVdcName()
  {
    return this.vdcName;
  }

  public void setVdcName(String value)
  {
    this.vdcName = value;
  }
}