package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ResourceEntityType", propOrder={"files"})
public class ResourceEntityType extends EntityType
{

  @XmlElement(name="Files")
  protected FilesListType files;

  @XmlAttribute
  protected Integer status;

  public FilesListType getFiles()
  {
    return this.files;
  }

  public void setFiles(FilesListType value)
  {
    this.files = value;
  }

  public Integer getStatus()
  {
    return this.status;
  }

  public void setStatus(Integer value)
  {
    this.status = value;
  }
}