package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SourcedVmInstantiationParamsType", propOrder={"source", "storageProfile", "localityParams"})
public class SourcedVmInstantiationParamsType extends VCloudExtensibleType
{

  @XmlElement(name="Source", required=true)
  protected ReferenceType source;

  @XmlElement(name="StorageProfile")
  protected ReferenceType storageProfile;

  @XmlElement(name="LocalityParams")
  protected LocalityParamsType localityParams;

  public ReferenceType getSource()
  {
    return this.source;
  }

  public void setSource(ReferenceType value)
  {
    this.source = value;
  }

  public ReferenceType getStorageProfile()
  {
    return this.storageProfile;
  }

  public void setStorageProfile(ReferenceType value)
  {
    this.storageProfile = value;
  }

  public LocalityParamsType getLocalityParams()
  {
    return this.localityParams;
  }

  public void setLocalityParams(LocalityParamsType value)
  {
    this.localityParams = value;
  }
}