package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="StaticRoutingServiceType", propOrder={"staticRoute"})
public class StaticRoutingServiceType extends NetworkServiceType
{

  @XmlElement(name="StaticRoute")
  protected List<StaticRouteType> staticRoute;

  public List<StaticRouteType> getStaticRoute()
  {
    if (this.staticRoute == null) {
      this.staticRoute = new ArrayList();
    }
    return this.staticRoute;
  }
}