package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="SupportedOperatingSystemsInfoType", propOrder={"operatingSystemFamilyInfo"})
public class SupportedOperatingSystemsInfoType extends ResourceType
{

  @XmlElement(name="OperatingSystemFamilyInfo")
  protected List<OperatingSystemFamilyInfoType> operatingSystemFamilyInfo;

  public List<OperatingSystemFamilyInfoType> getOperatingSystemFamilyInfo()
  {
    if (this.operatingSystemFamilyInfo == null) {
      this.operatingSystemFamilyInfo = new ArrayList();
    }
    return this.operatingSystemFamilyInfo;
  }
}