package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="UsersListType", propOrder={"userReference"})
public class UsersListType extends VCloudExtensibleType
{

  @XmlElement(name="UserReference")
  protected List<ReferenceType> userReference;

  public List<ReferenceType> getUserReference()
  {
    if (this.userReference == null) {
      this.userReference = new ArrayList();
    }
    return this.userReference;
  }
}