package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.IdentifiableResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AdminServiceLinkType", propOrder={"linkHref", "mimeType", "rel", "resourceType", "resourceId"})
public class AdminServiceLinkType extends IdentifiableResourceType
{

  @XmlElement(name="LinkHref")
  protected String linkHref;

  @XmlElement(name="MimeType")
  protected String mimeType;

  @XmlElement(name="Rel")
  protected String rel;

  @XmlElement(name="ResourceType")
  protected String resourceType;

  @XmlElement(name="ResourceId")
  protected String resourceId;

  public String getLinkHref()
  {
    return this.linkHref;
  }

  public void setLinkHref(String value)
  {
    this.linkHref = value;
  }

  public String getMimeType()
  {
    return this.mimeType;
  }

  public void setMimeType(String value)
  {
    this.mimeType = value;
  }

  public String getRel()
  {
    return this.rel;
  }

  public void setRel(String value)
  {
    this.rel = value;
  }

  public String getResourceType()
  {
    return this.resourceType;
  }

  public void setResourceType(String value)
  {
    this.resourceType = value;
  }

  public String getResourceId()
  {
    return this.resourceId;
  }

  public void setResourceId(String value)
  {
    this.resourceId = value;
  }
}