package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AdminServiceLinksType", propOrder={"serviceLink"})
public class AdminServiceLinksType extends VCloudExtensibleType
{

  @XmlElement(name="ServiceLink")
  protected List<AdminServiceLinkType> serviceLink;

  public List<AdminServiceLinkType> getServiceLink()
  {
    if (this.serviceLink == null) {
      this.serviceLink = new ArrayList();
    }
    return this.serviceLink;
  }
}