package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AuthorizationCheckParamsType", propOrder={"user", "httpMethod", "url"})
public class AuthorizationCheckParamsType extends VCloudExtensibleType
{

  @XmlElement(name="User")
  protected ReferenceType user;

  @XmlElement(name="HttpMethod")
  protected String httpMethod;

  @XmlElement(name="URL")
  protected String url;

  public ReferenceType getUser()
  {
    return this.user;
  }

  public void setUser(ReferenceType value)
  {
    this.user = value;
  }

  public String getHttpMethod()
  {
    return this.httpMethod;
  }

  public void setHttpMethod(String value)
  {
    this.httpMethod = value;
  }

  public String getURL()
  {
    return this.url;
  }

  public void setURL(String value)
  {
    this.url = value;
  }
}