package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="BundleUploadParamsType")
public class BundleUploadParamsType extends VCloudExtensibleType
{

  @XmlAttribute
  protected Long fileSize;

  @XmlAttribute
  protected String serviceNamespace;

  public Long getFileSize()
  {
    return this.fileSize;
  }

  public void setFileSize(Long value)
  {
    this.fileSize = value;
  }

  public String getServiceNamespace()
  {
    return this.serviceNamespace;
  }

  public void setServiceNamespace(String value)
  {
    this.serviceNamespace = value;
  }
}