package com.vmware.vcloud.api.rest.schema.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LicensingVirtualMachineType", propOrder={"vimObjectRef"})
public class LicensingVirtualMachineType
{

  @XmlElement(name="VimObjectRef", required=true)
  protected VimObjectRefType vimObjectRef;

  @XmlAttribute(required=true)
  protected int cpu;

  @XmlAttribute(required=true)
  protected int memory;

  public VimObjectRefType getVimObjectRef()
  {
    return this.vimObjectRef;
  }

  public void setVimObjectRef(VimObjectRefType value)
  {
    this.vimObjectRef = value;
  }

  public int getCpu()
  {
    return this.cpu;
  }

  public void setCpu(int value)
  {
    this.cpu = value;
  }

  public int getMemory()
  {
    return this.memory;
  }

  public void setMemory(int value)
  {
    this.memory = value;
  }
}