package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.VCloudExtensibleType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="ResourceClassActionsType", propOrder={"resourceClassAction"})
public class ResourceClassActionsType extends VCloudExtensibleType
{

  @XmlElement(name="ResourceClassAction")
  protected List<ResourceClassActionType> resourceClassAction;

  public List<ResourceClassActionType> getResourceClassAction()
  {
    if (this.resourceClassAction == null) {
      this.resourceClassAction = new ArrayList();
    }
    return this.resourceClassAction;
  }
}