package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import com.vmware.vcloud.api.rest.schema.ResourceType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="RightRefsType", propOrder={"right"})
public class RightRefsType extends ResourceType
{

  @XmlElement(name="Right")
  protected List<ReferenceType> right;

  public List<ReferenceType> getRight()
  {
    if (this.right == null) {
      this.right = new ArrayList();
    }
    return this.right;
  }
}