package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ReferenceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VimObjectRefType", propOrder={"vimServerRef", "moRef", "vimObjectType"})
public class VimObjectRefType
{

  @XmlElement(name="VimServerRef", required=true)
  protected ReferenceType vimServerRef;

  @XmlElement(name="MoRef", required=true)
  protected String moRef;

  @XmlElement(name="VimObjectType", required=true)
  protected String vimObjectType;

  public ReferenceType getVimServerRef()
  {
    return this.vimServerRef;
  }

  public void setVimServerRef(ReferenceType value)
  {
    this.vimServerRef = value;
  }

  public String getMoRef()
  {
    return this.moRef;
  }

  public void setMoRef(String value)
  {
    this.moRef = value;
  }

  public String getVimObjectType()
  {
    return this.vimObjectType;
  }

  public void setVimObjectType(String value)
  {
    this.vimObjectType = value;
  }
}