package com.vmware.vcloud.api.rest.schema.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VimServerType", propOrder={"isEnabled", "isConnected", "shieldManagerHost", "shieldManagerUserName", "uuid", "vcProxy", "vcVersion", "useVsphereService", "vsphereWebClientServerUrl"})
public class VimServerType extends ServerType
{

  @XmlElement(name="IsEnabled")
  protected boolean isEnabled;

  @XmlElement(name="IsConnected")
  protected Boolean isConnected;

  @XmlElement(name="ShieldManagerHost")
  protected String shieldManagerHost;

  @XmlElement(name="ShieldManagerUserName")
  protected String shieldManagerUserName;

  @XmlElement(name="Uuid")
  protected String uuid;

  @XmlElement(name="VcProxy")
  protected String vcProxy;

  @XmlElement(name="VcVersion")
  protected String vcVersion;

  @XmlElement(name="UseVsphereService")
  protected Boolean useVsphereService;

  @XmlElement(name="VsphereWebClientServerUrl")
  protected String vsphereWebClientServerUrl;

  public boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(boolean value)
  {
    this.isEnabled = value;
  }

  public Boolean isIsConnected()
  {
    return this.isConnected;
  }

  public void setIsConnected(Boolean value)
  {
    this.isConnected = value;
  }

  public String getShieldManagerHost()
  {
    return this.shieldManagerHost;
  }

  public void setShieldManagerHost(String value)
  {
    this.shieldManagerHost = value;
  }

  public String getShieldManagerUserName()
  {
    return this.shieldManagerUserName;
  }

  public void setShieldManagerUserName(String value)
  {
    this.shieldManagerUserName = value;
  }

  public String getUuid()
  {
    return this.uuid;
  }

  public void setUuid(String value)
  {
    this.uuid = value;
  }

  public String getVcProxy()
  {
    return this.vcProxy;
  }

  public void setVcProxy(String value)
  {
    this.vcProxy = value;
  }

  public String getVcVersion()
  {
    return this.vcVersion;
  }

  public void setVcVersion(String value)
  {
    this.vcVersion = value;
  }

  public Boolean isUseVsphereService()
  {
    return this.useVsphereService;
  }

  public void setUseVsphereService(Boolean value)
  {
    this.useVsphereService = value;
  }

  public String getVsphereWebClientServerUrl()
  {
    return this.vsphereWebClientServerUrl;
  }

  public void setVsphereWebClientServerUrl(String value)
  {
    this.vsphereWebClientServerUrl = value;
  }
}