package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="DeploymentOptionSection_Type", propOrder={"configuration", "any"})
public class DeploymentOptionSectionType extends SectionType
{

  @XmlElement(name="Configuration", required=true)
  protected List<DeploymentOptionSectionConfiguration> configuration;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public List<DeploymentOptionSectionConfiguration> getConfiguration()
  {
    if (this.configuration == null) {
      this.configuration = new ArrayList();
    }
    return this.configuration;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}