package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkSection_Type", propOrder={"network", "any"})
public class NetworkSectionType extends SectionType
{

  @XmlElement(name="Network")
  protected List<NetworkSectionNetwork> network;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  public List<NetworkSectionNetwork> getNetwork()
  {
    if (this.network == null) {
      this.network = new ArrayList();
    }
    return this.network;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }
}