package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="Strings_Type", propOrder={"msg"})
public class StringsType
{

  @XmlElement(name="Msg")
  protected List<StringsMsg> msg;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String fileRef;

  @XmlAttribute(namespace="http://www.w3.org/XML/1998/namespace")
  protected String lang;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public List<StringsMsg> getMsg()
  {
    if (this.msg == null) {
      this.msg = new ArrayList();
    }
    return this.msg;
  }

  public String getFileRef()
  {
    return this.fileRef;
  }

  public void setFileRef(String value)
  {
    this.fileRef = value;
  }

  public String getLang()
  {
    return this.lang;
  }

  public void setLang(String value)
  {
    this.lang = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}