package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VirtualDiskDesc_Type", propOrder={"any"})
public class VirtualDiskDescType
{

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String capacity;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String capacityAllocationUnits;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String diskId;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String fileRef;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String format;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String parentRef;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Long populatedSize;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public String getCapacity()
  {
    return this.capacity;
  }

  public void setCapacity(String value)
  {
    this.capacity = value;
  }

  public String getCapacityAllocationUnits()
  {
    if (this.capacityAllocationUnits == null) {
      return "byte";
    }
    return this.capacityAllocationUnits;
  }

  public void setCapacityAllocationUnits(String value)
  {
    this.capacityAllocationUnits = value;
  }

  public String getDiskId()
  {
    return this.diskId;
  }

  public void setDiskId(String value)
  {
    this.diskId = value;
  }

  public String getFileRef()
  {
    return this.fileRef;
  }

  public void setFileRef(String value)
  {
    this.fileRef = value;
  }

  public String getFormat()
  {
    return this.format;
  }

  public void setFormat(String value)
  {
    this.format = value;
  }

  public String getParentRef()
  {
    return this.parentRef;
  }

  public void setParentRef(String value)
  {
    this.parentRef = value;
  }

  public Long getPopulatedSize()
  {
    return this.populatedSize;
  }

  public void setPopulatedSize(Long value)
  {
    this.populatedSize = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}