package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="AccessSettingType", propOrder={"subject", "accessLevel"})
public class AccessSettingType extends VCloudExtensibleType
{

  @XmlElement(name="Subject", required=true)
  protected ReferenceType subject;

  @XmlElement(name="AccessLevel", required=true)
  protected AccessLevelType accessLevel;

  public ReferenceType getSubject()
  {
    return this.subject;
  }

  public void setSubject(ReferenceType value)
  {
    this.subject = value;
  }

  public AccessLevelType getAccessLevel()
  {
    return this.accessLevel;
  }

  public void setAccessLevel(AccessLevelType value)
  {
    this.accessLevel = value;
  }
}