package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CloneMediaParamsType", propOrder={"source", "isSourceDelete"})
public class CloneMediaParamsType extends ParamsType
{

  @XmlElement(name="Source", required=true)
  protected ReferenceType source;

  @XmlElement(name="IsSourceDelete")
  protected Boolean isSourceDelete;

  public ReferenceType getSource()
  {
    return this.source;
  }

  public void setSource(ReferenceType value)
  {
    this.source = value;
  }

  public Boolean isIsSourceDelete()
  {
    return this.isSourceDelete;
  }

  public void setIsSourceDelete(Boolean value)
  {
    this.isSourceDelete = value;
  }
}