package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="EntityType", propOrder={"description", "tasks"})
public class EntityType extends ResourceType
{

  @XmlElement(name="Description")
  protected String description;

  @XmlElement(name="Tasks")
  protected TasksInProgressType tasks;

  @XmlAttribute(required=true)
  protected String name;

  public String getDescription()
  {
    return this.description;
  }

  public void setDescription(String value)
  {
    this.description = value;
  }

  public TasksInProgressType getTasks()
  {
    return this.tasks;
  }

  public void setTasks(TasksInProgressType value)
  {
    this.tasks = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }
}