package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;

@XmlEnum
public enum NatMappingModeType
{
  AUTOMATIC("automatic"), 

  MANUAL("manual");

  private final String value;

  private NatMappingModeType(String v) {
    this.value = v;
  }

  public String value() {
    return this.value;
  }

  public static NatMappingModeType fromValue(String v) {
    for (NatMappingModeType c : values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v.toString());
  }
}