package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatOneToOneBasicRuleType", propOrder={"mappingMode", "externalIP", "internalIP"})
public class NatOneToOneBasicRuleType extends VCloudExtensibleType
{

  @XmlElement(name="MappingMode", required=true)
  protected NatMappingModeType mappingMode;

  @XmlElement(name="ExternalIP", required=true)
  protected String externalIP;

  @XmlElement(name="InternalIP", required=true)
  protected String internalIP;

  public NatMappingModeType getMappingMode()
  {
    return this.mappingMode;
  }

  public void setMappingMode(NatMappingModeType value)
  {
    this.mappingMode = value;
  }

  public String getExternalIP()
  {
    return this.externalIP;
  }

  public void setExternalIP(String value)
  {
    this.externalIP = value;
  }

  public String getInternalIP()
  {
    return this.internalIP;
  }

  public void setInternalIP(String value)
  {
    this.internalIP = value;
  }
}