package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatRuleType", propOrder={"description", "oneToOneBasicRule", "oneToOneVmRule", "portForwardingRule", "vmRule"})
public class NatRuleType extends VCloudExtensibleType
{

  @XmlElement(name="Description")
  protected String description;

  @XmlElement(name="OneToOneBasicRule")
  protected NatOneToOneBasicRuleType oneToOneBasicRule;

  @XmlElement(name="OneToOneVmRule")
  protected NatOneToOneVmRuleType oneToOneVmRule;

  @XmlElement(name="PortForwardingRule")
  protected NatPortForwardingRuleType portForwardingRule;

  @XmlElement(name="VmRule")
  protected NatVmRuleType vmRule;

  public String getDescription()
  {
    return this.description;
  }

  public void setDescription(String value)
  {
    this.description = value;
  }

  public NatOneToOneBasicRuleType getOneToOneBasicRule()
  {
    return this.oneToOneBasicRule;
  }

  public void setOneToOneBasicRule(NatOneToOneBasicRuleType value)
  {
    this.oneToOneBasicRule = value;
  }

  public NatOneToOneVmRuleType getOneToOneVmRule()
  {
    return this.oneToOneVmRule;
  }

  public void setOneToOneVmRule(NatOneToOneVmRuleType value)
  {
    this.oneToOneVmRule = value;
  }

  public NatPortForwardingRuleType getPortForwardingRule()
  {
    return this.portForwardingRule;
  }

  public void setPortForwardingRule(NatPortForwardingRuleType value)
  {
    this.portForwardingRule = value;
  }

  public NatVmRuleType getVmRule()
  {
    return this.vmRule;
  }

  public void setVmRule(NatVmRuleType value)
  {
    this.vmRule = value;
  }
}