package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NatVmRuleType", propOrder={"externalIP", "externalPort", "vAppScopedVmId", "vmNicId", "internalPort", "protocol"})
public class NatVmRuleType extends VCloudExtensibleType
{

  @XmlElement(name="ExternalIP")
  protected String externalIP;

  @XmlElement(name="ExternalPort")
  protected int externalPort;

  @XmlElement(name="VAppScopedVmId", required=true)
  protected String vAppScopedVmId;

  @XmlElement(name="VmNicId")
  protected int vmNicId;

  @XmlElement(name="InternalPort")
  protected int internalPort;

  @XmlElement(name="Protocol", required=true)
  protected Layer4ProtocolType protocol;

  public String getExternalIP()
  {
    return this.externalIP;
  }

  public void setExternalIP(String value)
  {
    this.externalIP = value;
  }

  public int getExternalPort()
  {
    return this.externalPort;
  }

  public void setExternalPort(int value)
  {
    this.externalPort = value;
  }

  public String getVAppScopedVmId()
  {
    return this.vAppScopedVmId;
  }

  public void setVAppScopedVmId(String value)
  {
    this.vAppScopedVmId = value;
  }

  public int getVmNicId()
  {
    return this.vmNicId;
  }

  public void setVmNicId(int value)
  {
    this.vmNicId = value;
  }

  public int getInternalPort()
  {
    return this.internalPort;
  }

  public void setInternalPort(int value)
  {
    this.internalPort = value;
  }

  public Layer4ProtocolType getProtocol()
  {
    return this.protocol;
  }

  public void setProtocol(Layer4ProtocolType value)
  {
    this.protocol = value;
  }
}