package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkConnectionType", propOrder={"networkConnectionIndex", "ipAddress", "externalIpAddress", "isConnected", "macAddress", "ipAddressAllocationMode"})
public class NetworkConnectionType extends VCloudExtensibleType
{

  @XmlElement(name="NetworkConnectionIndex")
  protected int networkConnectionIndex;

  @XmlElement(name="IpAddress")
  protected String ipAddress;

  @XmlElement(name="ExternalIpAddress")
  protected String externalIpAddress;

  @XmlElement(name="IsConnected")
  protected boolean isConnected;

  @XmlElement(name="MACAddress")
  protected String macAddress;

  @XmlElement(name="IpAddressAllocationMode", required=true)
  protected IpAddressAllocationModeType ipAddressAllocationMode;

  @XmlAttribute(required=true)
  protected String network;

  public int getNetworkConnectionIndex()
  {
    return this.networkConnectionIndex;
  }

  public void setNetworkConnectionIndex(int value)
  {
    this.networkConnectionIndex = value;
  }

  public String getIpAddress()
  {
    return this.ipAddress;
  }

  public void setIpAddress(String value)
  {
    this.ipAddress = value;
  }

  public String getExternalIpAddress()
  {
    return this.externalIpAddress;
  }

  public void setExternalIpAddress(String value)
  {
    this.externalIpAddress = value;
  }

  public boolean isIsConnected()
  {
    return this.isConnected;
  }

  public void setIsConnected(boolean value)
  {
    this.isConnected = value;
  }

  public String getMACAddress()
  {
    return this.macAddress;
  }

  public void setMACAddress(String value)
  {
    this.macAddress = value;
  }

  public IpAddressAllocationModeType getIpAddressAllocationMode()
  {
    return this.ipAddressAllocationMode;
  }

  public void setIpAddressAllocationMode(IpAddressAllocationModeType value)
  {
    this.ipAddressAllocationMode = value;
  }

  public String getNetwork()
  {
    return this.network;
  }

  public void setNetwork(String value)
  {
    this.network = value;
  }
}