package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="NetworkType", propOrder={"configuration"})
public abstract class NetworkType extends EntityType
{

  @XmlElement(name="Configuration")
  protected NetworkConfigurationType configuration;

  public NetworkConfigurationType getConfiguration()
  {
    return this.configuration;
  }

  public void setConfiguration(NetworkConfigurationType value)
  {
    this.configuration = value;
  }
}