package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OwnerType", propOrder={"user"})
public class OwnerType extends ResourceType
{

  @XmlElement(name="User", required=true)
  protected ReferenceType user;

  public ReferenceType getUser()
  {
    return this.user;
  }

  public void setUser(ReferenceType value)
  {
    this.user = value;
  }
}