package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VAppType", propOrder={"children"})
public class VAppType extends AbstractVAppType
{

  @XmlElement(name="Children")
  protected VAppChildrenType children;

  @XmlAttribute
  protected Boolean ovfDescriptorUploaded;

  public VAppChildrenType getChildren()
  {
    return this.children;
  }

  public void setChildren(VAppChildrenType value)
  {
    this.children = value;
  }

  public Boolean isOvfDescriptorUploaded()
  {
    return this.ovfDescriptorUploaded;
  }

  public void setOvfDescriptorUploaded(Boolean value)
  {
    this.ovfDescriptorUploaded = value;
  }
}