package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LicensingManagedServerType", propOrder={"vimObjectRef"})
public class LicensingManagedServerType
{

  @XmlElement(name="VimObjectRef", required=true)
  protected VimObjectRefType vimObjectRef;

  @XmlAttribute(required=true)
  protected int cpu;

  @XmlAttribute(required=true)
  protected int memoryInstalled;

  public VimObjectRefType getVimObjectRef()
  {
    return this.vimObjectRef;
  }

  public void setVimObjectRef(VimObjectRefType value)
  {
    this.vimObjectRef = value;
  }

  public int getCpu()
  {
    return this.cpu;
  }

  public void setCpu(int value)
  {
    this.cpu = value;
  }

  public int getMemoryInstalled()
  {
    return this.memoryInstalled;
  }

  public void setMemoryInstalled(int value)
  {
    this.memoryInstalled = value;
  }
}