package com.vmware.vcloud.api.rest.schema_v1_0.extension;

import javax.xml.bind.annotation.XmlEnum;

@XmlEnum
public enum VimObjectTypeEnum
{
  RESOURCE_POOL, 
  DATASTORE, 
  HOST, 
  VIRTUAL_MACHINE, 
  VIRTUAL_APP, 
  NETWORK, 
  DV_PORTGROUP, 
  DV_SWITCH;

  public String value() {
    return name();
  }

  public static VimObjectTypeEnum fromValue(String v) {
    return valueOf(v);
  }
}