package com.vmware.vcloud.sdk.constants;

public enum BusSubType
{
  BUS_LOGIC("buslogic"), 

  LSI_LOGIC("lsilogic"), 

  LSI_LOGIC_SAS("lsilogicsas"), 

  PARA_VIRTUAL("VirtualSCSI");

  private String value;

  private BusSubType() {
  }

  private BusSubType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static BusSubType fromValue(String value) {
    for (BusSubType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}