package com.vmware.vcloud.sdk.constants;

public enum FirewallDirectionType
{
  IN("in"), 

  OUT("out");

  private String value;

  private FirewallDirectionType() {
  }

  private FirewallDirectionType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static FirewallDirectionType fromValue(String value) {
    for (FirewallDirectionType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}