package com.vmware.vcloud.sdk.constants;

public enum GatewayBackingConfigValuesType
{
  COMPACT("compact"), 

  FULL("full");

  private String value;

  private GatewayBackingConfigValuesType() {
  }

  private GatewayBackingConfigValuesType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static GatewayBackingConfigValuesType fromValue(String value) {
    for (GatewayBackingConfigValuesType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}