package com.vmware.vcloud.sdk.constants;

public enum LdapModeType
{
  NONE("NONE"), 

  SYSTEM("SYSTEM"), 

  CUSTOM("CUSTOM");

  private String value;

  private LdapModeType() {
  }

  private LdapModeType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static LdapModeType fromValue(String value) {
    for (LdapModeType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}