package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminOrgVdcStorageProfileField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISDEFAULTSTORAGEPROFILE("isDefaultStorageProfile"), 
  ISENABLED("isEnabled"), 
  NAME("name"), 
  NUMBEROFCONDITIONS("numberOfConditions"), 
  ORG("org"), 
  STORAGELIMITMB("storageLimitMB"), 
  STORAGEPROFILEMOREF("storageProfileMoref"), 
  STORAGEUSEDMB("storageUsedMB"), 
  VC("vc"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryAdminOrgVdcStorageProfileField() {
  }
  private QueryAdminOrgVdcStorageProfileField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminOrgVdcStorageProfileField fromValue(String value) {
    for (QueryAdminOrgVdcStorageProfileField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}