package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminShadowVMField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DATASTORENAME("datastoreName"), 
  ISBUSY("isBusy"), 
  ISDELETED("isDeleted"), 
  ISPUBLISHED("isPublished"), 
  NAME("name"), 
  ORG("org"), 
  PRIMARYVAPPNAME("primaryVAppName"), 
  PRIMARYVAPPTEMPLATE("primaryVAppTemplate"), 
  PRIMARYVM("primaryVM"), 
  PRIMARYVMCATALOG("primaryVMCatalog"), 
  PRIMARYVMOWNER("primaryVMOwner"), 
  PRIMARYVMNAME("primaryVmName"), 

  SHADOWVAPP("shadowVApp"), 
  STATUS("status"), 
  VCNAME("vcName");

  private String value;

  private QueryAdminShadowVMField() {
  }
  private QueryAdminShadowVMField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminShadowVMField fromValue(String value) {
    for (QueryAdminShadowVMField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}