package com.vmware.vcloud.sdk.constants.query;

public enum QueryGroupField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 

  IDENTITYPROVIDERTYPE("identityProviderType"), 
  ISREADONLY("isReadOnly"), 
  NAME("name"), 
  ROLENAME("roleName");

  private String value;

  private QueryGroupField() {
  }
  private QueryGroupField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryGroupField fromValue(String value) {
    for (QueryGroupField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}