package com.vmware.vcloud.sdk.constants.query;

/** @deprecated */
public enum QueryOrgNetworkField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DNS1("dns1"), 
  DNS2("dns2"), 
  DNSSUFFIX("dnsSuffix"), 
  GATEWAY("gateway"), 
  IPSCOPEID("ipScopeId"), 
  ISBUSY("isBusy"), 
  ISIPSCOPEINHERITED("isIpScopeInherited"), 
  NAME("name"), 
  NETMASK("netmask"), 
  NETWORKPOOL("networkPool"), 
  NETWORKPOOLNAME("networkPoolName"), 
  ORG("org");

  private String value;

  private QueryOrgNetworkField() {
  }
  private QueryOrgNetworkField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryOrgNetworkField fromValue(String value) {
    for (QueryOrgNetworkField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}