package com.vmware.vcloud.sdk.constants.query;

public enum QueryOrgVdcResourcePoolRelationField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  RESOURCEPOOLMOREF("resourcePoolMoref"), 
  VC("vc"), 
  VDC("vdc");

  private String value;

  private QueryOrgVdcResourcePoolRelationField() {
  }
  private QueryOrgVdcResourcePoolRelationField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryOrgVdcResourcePoolRelationField fromValue(String value) {
    for (QueryOrgVdcResourcePoolRelationField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}