package com.vmware.vcloud.sdk.constants.query;

public enum QueryProviderVdcResourcePoolRelationField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CPURESERVATIONALLOCATIONMHZ("cpuReservationAllocationMhz"), 
  CPURESERVATIONLIMITMHZ("cpuReservationLimitMhz"), 
  ISENABLED("isEnabled"), 
  ISPRIMARY("isPrimary"), 
  MEMORYRESERVATIONALLOCATIONMB("memoryReservationAllocationMB"), 
  MEMORYRESERVATIONLIMITMB("memoryReservationLimitMB"), 
  NAME("name"), 
  NUMBEROFVMS("numberOfVMs"), 
  PROVIDERVDC("providerVdc"), 
  RESOURCEPOOLMOREF("resourcePoolMoref"), 
  VC("vc"), 
  VCNAME("vcName");

  private String value;

  private QueryProviderVdcResourcePoolRelationField() {
  }
  private QueryProviderVdcResourcePoolRelationField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryProviderVdcResourcePoolRelationField fromValue(String value) {
    for (QueryProviderVdcResourcePoolRelationField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}