package com.vmware.vcloud.sdk.constants.query;

public enum QueryProviderVdcStorageProfileField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  ISENABLED("isEnabled"), 
  NAME("name"), 
  NUMBEROFCONDITIONS("numberOfConditions"), 
  PROVIDERVDC("providerVdc"), 
  STORAGEPROFILEMOREF("storageProfileMoref"), 
  STORAGEPROVISIONEDMB("storageProvisionedMB"), 
  STORAGEREQUESTEDMB("storageRequestedMB"), 
  STORAGETOTALMB("storageTotalMB"), 
  STORAGEUSEDMB("storageUsedMB"), 
  VC("vc");

  private String value;

  private QueryProviderVdcStorageProfileField() {
  }
  private QueryProviderVdcStorageProfileField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryProviderVdcStorageProfileField fromValue(String value) {
    for (QueryProviderVdcStorageProfileField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}