package com.vmware.vcloud.sdk.constants.query;

public enum QueryVAppOrgVdcNetworkRelationField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ENTITYTYPE("entityType"), 
  NAME("name"), 
  ORG("org"), 
  ORGVDCNETWORK("orgVdcNetwork"), 
  ORGVDCNETWORKNAME("orgVdcNetworkName"), 
  OWNERNAME("ownerName"), 
  STATUS("status");

  private String value;

  private QueryVAppOrgVdcNetworkRelationField() {
  }
  private QueryVAppOrgVdcNetworkRelationField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryVAppOrgVdcNetworkRelationField fromValue(String value) {
    for (QueryVAppOrgVdcNetworkRelationField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}