package com.vmware.vcloud.sdk_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.CimUnsignedLong;
import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import java.math.BigInteger;

public class VirtualMemory extends HardwareItem
{
  VirtualMemory(RASDType virtualMemoryItem)
  {
    super(virtualMemoryItem);
  }

  VirtualMemory(VcloudClient client, RASDType itemResource)
  {
    super(client, itemResource);
  }

  public BigInteger getMemorySize()
  {
    return getItemResource().getVirtualQuantity().getValue();
  }
}