package devmgr.versioned.jrpc;

public class RPCNullAuthGenerator
  implements RPCAuthGenerator
{
  private RPCOpaqueAuth m_NullAuth = new RPCOpaqueAuth();

  public RPCNullAuthGenerator()
  {
    this.m_NullAuth.getType().setValue(0);
    this.m_NullAuth.setInfo(new byte[0]);
  }

  public RPCOpaqueAuth getInitialAuthData()
  {
    return this.m_NullAuth;
  }

  public RPCOpaqueAuth getFinalAuthData(RPCOpaqueAuth paramRPCOpaqueAuth, XDRMessageIOV paramXDRMessageIOV)
  {
    return this.m_NullAuth;
  }
}