package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostPortName
  implements XDRType, SYMbolAPIConstants
{
  private byte[] value;

  public HostPortName()
  {
  }

  public HostPortName(HostPortName paramHostPortName)
  {
    this.value = paramHostPortName.value;
  }

  public byte[] getValue()
  {
    return this.value;
  }

  public void setValue(byte[] paramArrayOfByte)
  {
    this.value = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putFixedOpaque(this.value, 8);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getFixedOpaque(8);
  }
}