package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RemoteVolNoArray
  implements XDRType, SYMbolAPIConstants
{
  private RemoteVolRef remoteVolume = new RemoteVolRef();

  public RemoteVolNoArray()
  {
  }

  public RemoteVolNoArray(RemoteVolNoArray paramRemoteVolNoArray)
  {
    this.remoteVolume = paramRemoteVolNoArray.remoteVolume;
  }

  public RemoteVolRef getRemoteVolume()
  {
    return this.remoteVolume;
  }

  public void setRemoteVolume(RemoteVolRef paramRemoteVolRef)
  {
    this.remoteVolume = paramRemoteVolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.remoteVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolume.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}