package org.quartz;

public class SchedulerException extends Exception
{
  public SchedulerException()
  {
  }

  public SchedulerException(String msg)
  {
    super(msg);
  }

  public SchedulerException(Throwable cause) {
    super(cause);
  }

  public SchedulerException(String msg, Throwable cause) {
    super(msg, cause);
  }

  public Throwable getUnderlyingException()
  {
    return super.getCause();
  }

  public String toString()
  {
    Throwable cause = getUnderlyingException();
    if ((cause == null) || (cause == this)) {
      return super.toString();
    }
    return super.toString() + " [See nested exception: " + cause + "]";
  }
}